/**
 * @file lvgl.h
 * Include all LittleV GL related headers
 */

#ifndef LVGL_H
#define LVGL_H

#ifdef __cplusplus
extern "C" {
#endif

/*********************
 *      INCLUDES
 *********************/

#include "../components/ui/lvgl/src/lv_version.h"

#include "../components/ui/lvgl/src/lv_misc/include/lv_log.h"
#include "../components/ui/lvgl/src/lv_misc/include/lv_task.h"
#include "../components/ui/lvgl/src/lv_misc/include/lv_math.h"
#include "../components/ui/lvgl/src/lv_misc/include/lv_async.h"

#include "../components/ui/lvgl/src/lv_hal/include/lv_hal.h"
#include "../components/ui/lvgl/src/lv_core/include/lv_obj.h"
#include "../components/ui/lvgl/src/lv_core/include/lv_group.h"

#include "../components/ui/lvgl/src/lv_core/include/lv_refr.h"
#include "../components/ui/lvgl/src/lv_core/include/lv_disp.h"

#include "../components/ui/lvgl/src/lv_themes/include/lv_theme.h"

#include "../components/ui/lvgl/src/lv_font/include/lv_font.h"
#include "../components/ui/lvgl/src/lv_font/include/lv_font_fmt_txt.h"

#include "../components/ui/lvgl/src/lv_objx/include/lv_btn.h"
#include "../components/ui/lvgl/src/lv_objx/include/lv_imgbtn.h"
#include "../components/ui/lvgl/src/lv_objx/include/lv_img.h"
#include "../components/ui/lvgl/src/lv_objx/include/lv_label.h"
#include "../components/ui/lvgl/src/lv_objx/include/lv_line.h"
#include "../components/ui/lvgl/src/lv_objx/include/lv_page.h"
#include "../components/ui/lvgl/src/lv_objx/include/lv_cont.h"
#include "../components/ui/lvgl/src/lv_objx/include/lv_list.h"
#include "../components/ui/lvgl/src/lv_objx/include/lv_chart.h"
#include "../components/ui/lvgl/src/lv_objx/include/lv_table.h"
#include "../components/ui/lvgl/src/lv_objx/include/lv_cb.h"
#include "../components/ui/lvgl/src/lv_objx/include/lv_bar.h"
#include "../components/ui/lvgl/src/lv_objx/include/lv_slider.h"
#include "../components/ui/lvgl/src/lv_objx/include/lv_led.h"
#include "../components/ui/lvgl/src/lv_objx/include/lv_btnm.h"
#include "../components/ui/lvgl/src/lv_objx/include/lv_kb.h"
#include "../components/ui/lvgl/src/lv_objx/include/lv_ddlist.h"
#include "../components/ui/lvgl/src/lv_objx/include/lv_roller.h"
#include "../components/ui/lvgl/src/lv_objx/include/lv_ta.h"
#include "../components/ui/lvgl/src/lv_objx/include/lv_canvas.h"
#include "../components/ui/lvgl/src/lv_objx/include/lv_win.h"
#include "../components/ui/lvgl/src/lv_objx/include/lv_tabview.h"
#include "../components/ui/lvgl/src/lv_objx/include/lv_tileview.h"
#include "../components/ui/lvgl/src/lv_objx/include/lv_mbox.h"
#include "../components/ui/lvgl/src/lv_objx/include/lv_gauge.h"
#include "../components/ui/lvgl/src/lv_objx/include/lv_lmeter.h"
#include "../components/ui/lvgl/src/lv_objx/include/lv_sw.h"
#include "../components/ui/lvgl/src/lv_objx/include/lv_kb.h"
#include "../components/ui/lvgl/src/lv_objx/include/lv_arc.h"
#include "../components/ui/lvgl/src/lv_objx/include/lv_preload.h"
#include "../components/ui/lvgl/src/lv_objx/include/lv_calendar.h"
#include "../components/ui/lvgl/src/lv_objx/include/lv_spinbox.h"

#include "../components/ui/lvgl/src/lv_draw/include/lv_img_cache.h"

/*********************
 *      DEFINES
 *********************/

/**********************
 *      TYPEDEFS
 **********************/

/**********************
 * GLOBAL PROTOTYPES
 **********************/

/**********************
 *      MACROS
 **********************/

#ifdef __cplusplus
}
#endif

#endif /*LVGL_H*/
