/* SPI Master example

   This example code is in the Public Domain (or CC0 licensed, at your option.)

   Unless required by applicable law or agreed to in writing, this
   software is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
   CONDITIONS OF ANY KIND, either express or implied.
*/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "esp_system.h"
#include "driver/gpio.h"


#include "c:/esp-idf/components/freertos/include/freertos/FreeRTOS.h"
#include "c:/esp-idf/components/freertos/include/freertos/task.h"
#include "c:/esp-idf/components/esp_common/include/esp_freertos_hooks.h"


#include "../components/ui/lvgl/lvgl.h"
#include "../components/ui/lv_examples/lv_apps/demo/include/demo.h"
#include "../components/ui/drv/include/disp_spi.h"
#include "../components/ui/drv/include/ili9341.h"
#include "../components/ui/drv/include/tp_spi.h"
#include "../components/ui/drv/include/xpt2046.h"


static void IRAM_ATTR lv_tick_task(void);


void app_main()
{
	lv_init();

	disp_spi_init();
	ili9341_init();

	tp_spi_init();
    xpt2046_init();

    static lv_color_t buf1[DISP_BUF_SIZE];
    static lv_color_t buf2[DISP_BUF_SIZE];
    static lv_disp_buf_t disp_buf;
    lv_disp_buf_init(&disp_buf, buf1, buf2, DISP_BUF_SIZE);

	lv_disp_drv_t disp_drv;
	lv_disp_drv_init(&disp_drv);
	disp_drv.flush_cb = ili9341_flush;
	disp_drv.buffer = &disp_buf;
	lv_disp_drv_register(&disp_drv);

    // Set TOUCH_SUPPORT on drv\component.mk to 1 if
    // your board have touch support
/*
#if ENABLE_TOUCH_INPUT
    lv_indev_drv_t indev_drv;
    lv_indev_drv_init(&indev_drv);
    indev_drv.read_cb = xpt2046_read;
    indev_drv.type = LV_INDEV_TYPE_POINTER;
    lv_indev_drv_register(&indev_drv);
#endif
*/
	esp_register_freertos_tick_hook(lv_tick_task);

	demo_create();

	while(1)
    {
		vTaskDelay(1);
		lv_task_handler();
	}
}

/////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////

static void IRAM_ATTR lv_tick_task(void)
{
	lv_tick_inc(portTICK_RATE_MS);
}
