#include "lvgl/lvgl.h"
#include "lv_ex_conf.h"

#if LV_USE_TESTS && LV_USE_IMGBTN

const uint8_t imgbtn_img_3_map[] = {
#if LV_COLOR_DEPTH == 1 || LV_COLOR_DEPTH == 8
    /*Pixel format: Alpha 8 bit, Red: 3 bit, Green: 3 bit, Blue: 2 bit*/
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x92, 0x04, 0xb6, 0x13, 0xb7, 0x47, 0xdb, 0x8c, 0xdb, 0xcb, 0xdb, 0xef, 0xdb, 0xff, 0xdb, 0xff, 0xdb, 0xff, 0xdb, 0xff, 0xdb, 0xff, 0xdb, 0xff, 0xdb, 0xff, 0xdb, 0xff, 0xdb, 0xff, 0xdb, 0xff, 0xdb, 0xff, 0xdb, 0xff, 0xdb, 0xff, 0xdb, 0xff, 0xdb, 0xff, 0xdb, 0xff, 0xdb, 0xff, 0xdb, 0xff, 0xdb, 0xff, 0xdb, 0xff, 0xdb, 0xff, 0xdb, 0xff, 0xdb, 0xff, 0xdb, 0xff, 0xdb, 0xff, 0xdb, 0xff, 0xdf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xdb, 0xff, 0xdb, 0xff, 0xdb, 0xff, 0xdb, 0xff, 0xdb, 0xff, 0xdb, 0xff, 0xdb, 0xff, 0xdb, 0xff, 0xdb, 0xff, 0xdb, 0xff, 0xdb, 0xff, 0xdb, 0xff, 0xdb, 0xff, 0xdb, 0xff, 0xdb, 0xff, 0xdb, 0xff, 0xb7, 0xff, 0xdb, 0xef, 0xdb, 0xc8, 0xdb, 0x8c, 0xff, 0x44, 0xff, 0x13, 0xff, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xb7, 0x28, 0xdb, 0x7b, 0xdb, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfb, 0xff, 0xfb, 0xff, 0xfb, 0xff, 0xfb, 0xff, 0xfb, 0xff, 0xfb, 0xff, 0xfb, 0xff, 0xfb, 0xff, 0xfb, 0xff, 0xfb, 0xff, 0xfb, 0xff, 0xfb, 0xff, 0xfb, 0xff, 0xfb, 0xff, 0xfb, 0xff, 0xfb, 0xff, 0xfb, 0xff, 0xfb, 0xff, 0xfb, 0xff, 0xfb, 0xff, 0xfb, 0xff, 0xfb, 0xff, 0xfb, 0xff, 0xfb, 0xff, 0xfb, 0xff, 0xfb, 0xff, 0xfb, 0xff, 0xfb, 0xff, 0xfb, 0xff, 0xfb, 0xff, 0xfb, 0xff, 0xfb, 0xff, 0xfb, 0xff, 0xfb, 0xff, 0xfb, 0xff, 0xfb, 0xff, 0xfb, 0xff, 0xfb, 0xff, 0xfb, 0xff, 0xfb, 0xff, 0xfb, 0xff, 0xfb, 0xff, 0xf7, 0xff, 0xf7, 0xff, 0xd7, 0xff, 0xd7, 0xff, 0xd6, 0xff, 0xd6, 0xff, 0xd6, 0xff, 0xd6, 0xff, 0xd6, 0xff, 0xd2, 0xff, 0xb2, 0xff, 0xb2, 0xff, 0xb2, 0xff, 0xb2, 0xff, 0xb2, 0xff, 0xb2, 0xff, 0xb2, 0xff, 0xb2, 0xff, 0xb2, 0xff, 0x8e, 0xff, 0x8e, 0xff, 0x8e, 0xff, 0x8e, 0xff, 0x6e, 0xff, 0x6e, 0xff, 0x6e, 0xff, 0xdb, 0xff, 0xdb, 0x7b, 0xff, 0x28, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xb7, 0x6f, 0xdb, 0xeb, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf7, 0xff, 0xf2, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe5, 0xff, 0xe5, 0xff, 0xe4, 0xff, 0xe5, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe9, 0xff, 0xe5, 0xff, 0xe4, 0xff, 0xe0, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe5, 0xff, 0xc9, 0xff, 0xa9, 0xff, 0x8e, 0xff, 0x6e, 0xff, 0x92, 0xff, 0xb7, 0xe8, 0xff, 0x6f, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xb7, 0xa8, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf2, 0xff, 0xe9, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe9, 0xff, 0xed, 0xff, 0xee, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xee, 0xff, 0xed, 0xff, 0xe9, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe4, 0xff, 0xc9, 0xff, 0x6e, 0xff, 0x6e, 0xff, 0xb6, 0xff, 0xff, 0xa8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0xb7, 0xa0, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe9, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xee, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xee, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe4, 0xff, 0x8e, 0xff, 0x92, 0xff, 0x92, 0xff, 0xff, 0x9f, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0xb6, 0x3c, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe4, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xee, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0x92, 0xff, 0x92, 0xff, 0xb6, 0xff, 0xff, 0x3c, 0x00, 0x00,
    0x92, 0x07, 0xdb, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe5, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe4, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xe4, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe4, 0xff, 0x92, 0xff, 0x92, 0xff, 0xff, 0xff, 0xff, 0x07,
    0xb6, 0x4c, 0xff, 0xff, 0xff, 0xff, 0xf6, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe9, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xe9, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xcd, 0xff, 0x92, 0xff, 0xb6, 0xff, 0xff, 0x4c,
    0xdb, 0xa0, 0xff, 0xff, 0xff, 0xff, 0xe4, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xed, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xed, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0x92, 0xff, 0xb6, 0xff, 0xff, 0xa0,
    0xdb, 0xe0, 0xff, 0xff, 0xf7, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe9, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xe9, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xce, 0xff, 0xb6, 0xff, 0xdb, 0xdf,
    0xdb, 0xfb, 0xff, 0xff, 0xee, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe4, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xe4, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe9, 0xff, 0xb6, 0xff, 0xdb, 0xfb,
    0xdb, 0xff, 0xff, 0xff, 0xe9, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe9, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xe9, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe5, 0xff, 0xb6, 0xff, 0xdb, 0xff,
    0xdb, 0xff, 0xff, 0xff, 0xe9, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe9, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xf2, 0xff, 0xe9, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe5, 0xff, 0xb6, 0xff, 0xdb, 0xff,
    0xdb, 0xff, 0xff, 0xff, 0xe9, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe5, 0xff, 0xed, 0xff, 0xed, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xee, 0xff, 0xed, 0xff, 0xed, 0xff, 0xe5, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe5, 0xff, 0xb6, 0xff, 0xdb, 0xff,
    0xdb, 0xff, 0xff, 0xff, 0xe9, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe4, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe5, 0xff, 0xb6, 0xff, 0xdb, 0xff,
    0xdb, 0xff, 0xff, 0xff, 0xe9, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe5, 0xff, 0xb6, 0xff, 0xdb, 0xff,
    0xdb, 0xff, 0xff, 0xff, 0xe9, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe5, 0xff, 0xb6, 0xff, 0xdb, 0xff,
    0xdb, 0xff, 0xff, 0xff, 0xe9, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe5, 0xff, 0xb6, 0xff, 0xdb, 0xff,
    0xdb, 0xff, 0xff, 0xff, 0xe9, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe5, 0xff, 0xb6, 0xff, 0xdb, 0xff,
    0xdb, 0xff, 0xff, 0xff, 0xe9, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe5, 0xff, 0xb6, 0xff, 0xdb, 0xff,
    0xdb, 0xff, 0xff, 0xff, 0xe9, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe5, 0xff, 0xb6, 0xff, 0xdb, 0xff,
    0xdb, 0xff, 0xff, 0xff, 0xe9, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe5, 0xff, 0xb6, 0xff, 0xdb, 0xff,
    0xdb, 0xff, 0xff, 0xff, 0xe9, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe5, 0xff, 0xb6, 0xff, 0xdb, 0xff,
    0xdb, 0xff, 0xff, 0xff, 0xe9, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe5, 0xff, 0xb6, 0xff, 0xdb, 0xff,
    0xdb, 0xff, 0xff, 0xff, 0xe9, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe5, 0xff, 0xb6, 0xff, 0xdb, 0xff,
    0xdb, 0xff, 0xff, 0xff, 0xe9, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe5, 0xff, 0xb6, 0xff, 0xdb, 0xff,
    0xdb, 0xff, 0xff, 0xff, 0xe9, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe5, 0xff, 0xb6, 0xff, 0xdb, 0xff,
    0xdb, 0xff, 0xff, 0xff, 0xe9, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe5, 0xff, 0xb6, 0xff, 0xdb, 0xff,
    0xdb, 0xff, 0xff, 0xff, 0xe9, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe5, 0xff, 0xb6, 0xff, 0xdb, 0xff,
    0xb7, 0xfb, 0xff, 0xff, 0xed, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe9, 0xff, 0xb6, 0xff, 0xdb, 0xfb,
    0xb6, 0xe0, 0xdb, 0xff, 0xf6, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xce, 0xff, 0xb6, 0xff, 0xff, 0xdf,
    0xb6, 0xa0, 0xdb, 0xff, 0xdb, 0xff, 0xe4, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0xff, 0xa0,
    0x92, 0x4c, 0xdb, 0xff, 0xdb, 0xff, 0xf2, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xcd, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0xff, 0x4c,
    0x6d, 0x07, 0x92, 0xff, 0xdb, 0xff, 0xdb, 0xff, 0xe5, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe4, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0xff, 0xff, 0xff, 0x07,
    0x00, 0x00, 0x6e, 0x47, 0xb7, 0xff, 0xdb, 0xff, 0xdb, 0xff, 0xe4, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe4, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0xb7, 0xff, 0xff, 0x44, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x6e, 0xa4, 0xb7, 0xff, 0xb7, 0xff, 0xbb, 0xff, 0xc5, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xe0, 0xff, 0xc0, 0xff, 0xc4, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0xff, 0xa4, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x92, 0x9f, 0xb6, 0xff, 0xb7, 0xff, 0xb7, 0xff, 0xce, 0xff, 0xc5, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc0, 0xff, 0xc5, 0xff, 0xad, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0xb7, 0xff, 0xff, 0x9f, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x92, 0x68, 0x92, 0xf3, 0xb6, 0xff, 0xb7, 0xff, 0xb6, 0xff, 0xae, 0xff, 0xad, 0xff, 0xa9, 0xff, 0xa5, 0xff, 0xa5, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa5, 0xff, 0xa5, 0xff, 0xa5, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa5, 0xff, 0xa5, 0xff, 0xa5, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa4, 0xff, 0xa5, 0xff, 0xa9, 0xff, 0xad, 0xff, 0xae, 0xff, 0xb2, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0xdb, 0xf3, 0xff, 0x68, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x92, 0x2c, 0x92, 0x8b, 0x92, 0xf4, 0xb6, 0xff, 0xb7, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0xb2, 0xff, 0xb2, 0xff, 0xb2, 0xff, 0xb2, 0xff, 0xb2, 0xff, 0xb2, 0xff, 0xb2, 0xff, 0xb2, 0xff, 0xb2, 0xff, 0xb2, 0xff, 0xb2, 0xff, 0xb2, 0xff, 0xb2, 0xff, 0xb2, 0xff, 0xb2, 0xff, 0xb2, 0xff, 0xb2, 0xff, 0x92, 0xff, 0x92, 0xff, 0x92, 0xff, 0x92, 0xff, 0x92, 0xff, 0x92, 0xff, 0x92, 0xff, 0x92, 0xff, 0x92, 0xff, 0x92, 0xff, 0x92, 0xff, 0x8e, 0xff, 0x8e, 0xff, 0x8e, 0xff, 0x8e, 0xff, 0x8e, 0xff, 0x8e, 0xff, 0x8e, 0xff, 0x8e, 0xff, 0x6d, 0xff, 0x6d, 0xff, 0x6d, 0xff, 0x6d, 0xff, 0x6d, 0xff, 0x6d, 0xff, 0x6d, 0xff, 0x8e, 0xff, 0x8e, 0xff, 0x8e, 0xff, 0x92, 0xff, 0x92, 0xff, 0x92, 0xff, 0x92, 0xff, 0xb2, 0xff, 0xb2, 0xff, 0xb2, 0xff, 0xb2, 0xff, 0xb2, 0xff, 0xb2, 0xff, 0xb2, 0xff, 0xb2, 0xff, 0xb2, 0xff, 0xb2, 0xff, 0xb2, 0xff, 0xb2, 0xff, 0xb2, 0xff, 0xb2, 0xff, 0xb2, 0xff, 0xb2, 0xff, 0xb2, 0xff, 0xb2, 0xff, 0xb2, 0xff, 0xb2, 0xff, 0xb2, 0xff, 0xb2, 0xff, 0xb2, 0xff, 0xb2, 0xff, 0x96, 0xff, 0x96, 0xff, 0xb7, 0xff, 0xdb, 0xf3, 0xff, 0x88, 0xff, 0x2c, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x6e, 0x04, 0x92, 0x0c, 0x92, 0x47, 0x92, 0xb8, 0x92, 0xeb, 0x92, 0xf8, 0xb6, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0xb7, 0xff, 0xb7, 0xff, 0xb7, 0xff, 0xb7, 0xff, 0xb7, 0xff, 0xb7, 0xff, 0xb7, 0xff, 0xb7, 0xff, 0xb7, 0xff, 0xb7, 0xff, 0xb7, 0xff, 0xb7, 0xff, 0xb7, 0xff, 0xb7, 0xff, 0xb7, 0xff, 0xb7, 0xff, 0xb7, 0xff, 0xb7, 0xff, 0xb7, 0xff, 0xb7, 0xff, 0xb7, 0xff, 0xb7, 0xff, 0xb7, 0xff, 0xb7, 0xff, 0xb7, 0xff, 0xb7, 0xff, 0xb7, 0xff, 0xb7, 0xff, 0xb7, 0xff, 0xb7, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0x96, 0xff, 0x92, 0xff, 0x92, 0xff, 0x92, 0xff, 0x92, 0xff, 0x92, 0xff, 0x92, 0xff, 0x92, 0xff, 0x96, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0xb6, 0xff, 0xb7, 0xff, 0xb7, 0xff, 0xb7, 0xff, 0xb7, 0xff, 0xb7, 0xff, 0xb7, 0xff, 0xb7, 0xff, 0xb7, 0xff, 0xb7, 0xff, 0xb7, 0xff, 0xbb, 0xff, 0xbb, 0xff, 0xbb, 0xff, 0xdb, 0xff, 0xdb, 0xff, 0xdb, 0xff, 0xdb, 0xff, 0xdb, 0xff, 0xdb, 0xff, 0xdb, 0xff, 0xdb, 0xff, 0xdb, 0xff, 0xdb, 0xff, 0xdb, 0xff, 0xdb, 0xff, 0xdb, 0xff, 0xdb, 0xff, 0xdb, 0xff, 0xdb, 0xf8, 0xdb, 0xeb, 0xff, 0xb8, 0xff, 0x47, 0xff, 0x0c, 0xff, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
#endif
#if LV_COLOR_DEPTH == 16 && LV_COLOR_16_SWAP == 0
    /*Pixel format: Alpha 8 bit, Red: 5 bit, Green: 6 bit, Blue: 5 bit*/
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x84, 0x04, 0xf4, 0xa4, 0x13, 0x55, 0xad, 0x47, 0xd7, 0xbd, 0x8c, 0xd7, 0xbd, 0xcb, 0x18, 0xc6, 0xef, 0x38, 0xc6, 0xff, 0x18, 0xc6, 0xff, 0x18, 0xc6, 0xff, 0xf8, 0xbd, 0xff, 0xf7, 0xbd, 0xff, 0xd7, 0xbd, 0xff, 0xd7, 0xbd, 0xff, 0xd7, 0xbd, 0xff, 0xd7, 0xbd, 0xff, 0xf7, 0xbd, 0xff, 0xf8, 0xc5, 0xff, 0x18, 0xc6, 0xff, 0x18, 0xc6, 0xff, 0x38, 0xc6, 0xff, 0x38, 0xc6, 0xff, 0x39, 0xc6, 0xff, 0x39, 0xce, 0xff, 0x59, 0xce, 0xff, 0x59, 0xce, 0xff, 0x59, 0xce, 0xff, 0x59, 0xce, 0xff, 0x79, 0xce, 0xff, 0x79, 0xce, 0xff, 0x7a, 0xd6, 0xff, 0x9a, 0xd6, 0xff, 0x9a, 0xd6, 0xff, 0x9a, 0xd6, 0xff, 0x9a, 0xd6, 0xff, 0xba, 0xd6, 0xff, 0xba, 0xd6, 0xff, 0xba, 0xd6, 0xff, 0xbb, 0xde, 0xff, 0xdb, 0xde, 0xff, 0xdb, 0xde, 0xff, 0xdb, 0xde, 0xff, 0xdb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xfc, 0xde, 0xff, 0xfc, 0xe6, 0xff, 0x1c, 0xe7, 0xff, 0x1c, 0xe7, 0xff, 0x1c, 0xe7, 0xff, 0x1c, 0xe7, 0xff, 0x1c, 0xe7, 0xff, 0x3c, 0xe7, 0xff, 0x3c, 0xe7, 0xff, 0x3c, 0xe7, 0xff, 0x3c, 0xe7, 0xff, 0x3c, 0xe7, 0xff, 0x3c, 0xe7, 0xff, 0x3c, 0xe7, 0xff, 0x3c, 0xe7, 0xff, 0x1c, 0xe7, 0xff, 0x3c, 0xe7, 0xff, 0x1c, 0xe7, 0xff, 0x3c, 0xe7, 0xff, 0x3c, 0xe7, 0xff, 0x1c, 0xe7, 0xff, 0x1c, 0xe7, 0xff, 0x1c, 0xe7, 0xff, 0x1c, 0xe7, 0xff, 0x1c, 0xe7, 0xff, 0x1c, 0xe7, 0xff, 0x1c, 0xe7, 0xff, 0x1c, 0xe7, 0xff, 0x1c, 0xe7, 0xff, 0x1c, 0xe7, 0xff, 0x1c, 0xe7, 0xff, 0x1c, 0xe7, 0xff, 0x1c, 0xe7, 0xff, 0x1c, 0xe7, 0xff, 0xfc, 0xe6, 0xff, 0xfc, 0xde, 0xff, 0xfb, 0xde, 0xff, 0xdb, 0xde, 0xff, 0xdb, 0xde, 0xff, 0xbb, 0xd6, 0xff, 0x9a, 0xd6, 0xff, 0x9a, 0xd6, 0xff, 0x7a, 0xd6, 0xff, 0x7a, 0xce, 0xff, 0x79, 0xce, 0xff, 0x59, 0xce, 0xff, 0x59, 0xce, 0xff, 0x38, 0xc6, 0xff, 0x18, 0xc6, 0xff, 0x18, 0xc6, 0xff, 0xf8, 0xc5, 0xff, 0xf7, 0xbd, 0xff, 0xd7, 0xbd, 0xff, 0xd7, 0xbd, 0xff, 0xb7, 0xbd, 0xff, 0xb6, 0xb5, 0xff, 0x96, 0xb5, 0xff, 0x96, 0xb5, 0xff, 0xb6, 0xb5, 0xef, 0xf8, 0xc5, 0xc8, 0x38, 0xc6, 0x8c, 0xfb, 0xde, 0x44, 0xdb, 0xde, 0x13, 0xff, 0xff, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x55, 0xad, 0x28, 0xb7, 0xbd, 0x7b, 0x38, 0xc6, 0xff, 0x9e, 0xf7, 0xff, 0xff, 0xff, 0xff, 0xdf, 0xff, 0xff, 0x5d, 0xff, 0xff, 0xfc, 0xfe, 0xff, 0xdb, 0xfe, 0xff, 0xdb, 0xfe, 0xff, 0xfb, 0xfe, 0xff, 0xdb, 0xfe, 0xff, 0xdb, 0xfe, 0xff, 0xdb, 0xfe, 0xff, 0xdb, 0xfe, 0xff, 0xdb, 0xfe, 0xff, 0xdb, 0xfe, 0xff, 0xdb, 0xfe, 0xff, 0xfb, 0xfe, 0xff, 0xfb, 0xfe, 0xff, 0xfb, 0xfe, 0xff, 0xfb, 0xfe, 0xff, 0xfb, 0xfe, 0xff, 0xfb, 0xfe, 0xff, 0xdb, 0xfe, 0xff, 0xdb, 0xfe, 0xff, 0xdb, 0xfe, 0xff, 0xdb, 0xfe, 0xff, 0xdb, 0xfe, 0xff, 0xbb, 0xfe, 0xff, 0xbb, 0xfe, 0xff, 0xbb, 0xfe, 0xff, 0xbb, 0xfe, 0xff, 0xba, 0xfe, 0xff, 0xba, 0xfe, 0xff, 0xba, 0xfe, 0xff, 0x9a, 0xfe, 0xff, 0x9a, 0xfe, 0xff, 0x9a, 0xfe, 0xff, 0x9a, 0xfe, 0xff, 0x9a, 0xfe, 0xff, 0x9a, 0xfe, 0xff, 0x7a, 0xfe, 0xff, 0x7a, 0xf6, 0xff, 0x7a, 0xf6, 0xff, 0x79, 0xf6, 0xff, 0x79, 0xf6, 0xff, 0x79, 0xf6, 0xff, 0x59, 0xf6, 0xff, 0x59, 0xf6, 0xff, 0x59, 0xf6, 0xff, 0x59, 0xf6, 0xff, 0x59, 0xf6, 0xff, 0x59, 0xf6, 0xff, 0x39, 0xf6, 0xff, 0x39, 0xf6, 0xff, 0x39, 0xee, 0xff, 0x38, 0xee, 0xff, 0x38, 0xee, 0xff, 0x38, 0xee, 0xff, 0x18, 0xee, 0xff, 0x18, 0xee, 0xff, 0x18, 0xee, 0xff, 0x18, 0xee, 0xff, 0x18, 0xee, 0xff, 0x18, 0xee, 0xff, 0xf8, 0xed, 0xff, 0xf8, 0xed, 0xff, 0xf8, 0xe5, 0xff, 0xf8, 0xe5, 0xff, 0xf8, 0xe5, 0xff, 0xf7, 0xe5, 0xff, 0xf7, 0xe5, 0xff, 0xf7, 0xe5, 0xff, 0xf7, 0xe5, 0xff, 0xd7, 0xe5, 0xff, 0xd7, 0xe5, 0xff, 0xd7, 0xe5, 0xff, 0xd7, 0xe5, 0xff, 0xb7, 0xe5, 0xff, 0xb6, 0xdd, 0xff, 0x96, 0xdd, 0xff, 0x55, 0xd5, 0xff, 0x55, 0xd5, 0xff, 0x34, 0xcd, 0xff, 0x14, 0xcd, 0xff, 0xf3, 0xc4, 0xff, 0xd3, 0xc4, 0xff, 0xb3, 0xbc, 0xff, 0x92, 0xbc, 0xff, 0x72, 0xb4, 0xff, 0x51, 0xb4, 0xff, 0x31, 0xb4, 0xff, 0x30, 0xac, 0xff, 0x10, 0xac, 0xff, 0xef, 0xa3, 0xff, 0xcf, 0xa3, 0xff, 0xaf, 0x9b, 0xff, 0xae, 0x9b, 0xff, 0x8e, 0x93, 0xff, 0x6e, 0x93, 0xff, 0x4d, 0x8b, 0xff, 0x4d, 0x8b, 0xff, 0x4d, 0x7b, 0xff, 0x8e, 0x73, 0xff, 0x8e, 0x6b, 0xff, 0x8e, 0x73, 0xff, 0x96, 0xb5, 0xff, 0x59, 0xce, 0x7b, 0x1c, 0xe7, 0x28, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x55, 0xad, 0x6f, 0x9a, 0xd6, 0xeb, 0x5d, 0xef, 0xff, 0xff, 0xff, 0xff, 0x5d, 0xf7, 0xff, 0x76, 0xfd, 0xff, 0x10, 0xfc, 0xff, 0x8a, 0xfa, 0xff, 0x86, 0xf9, 0xff, 0x25, 0xf9, 0xff, 0x24, 0xf9, 0xff, 0x04, 0xf9, 0xff, 0x65, 0xf9, 0xff, 0x08, 0xfa, 0xff, 0x49, 0xfa, 0xff, 0x69, 0xfa, 0xff, 0x69, 0xfa, 0xff, 0x69, 0xfa, 0xff, 0x69, 0xfa, 0xff, 0x69, 0xfa, 0xff, 0x69, 0xfa, 0xff, 0x69, 0xfa, 0xff, 0x69, 0xfa, 0xff, 0x69, 0xfa, 0xff, 0x69, 0xfa, 0xff, 0x69, 0xfa, 0xff, 0x69, 0xfa, 0xff, 0x69, 0xfa, 0xff, 0x69, 0xfa, 0xff, 0x69, 0xfa, 0xff, 0x69, 0xfa, 0xff, 0x69, 0xfa, 0xff, 0x69, 0xfa, 0xff, 0x69, 0xfa, 0xff, 0x69, 0xfa, 0xff, 0x69, 0xfa, 0xff, 0x69, 0xfa, 0xff, 0x69, 0xfa, 0xff, 0x49, 0xfa, 0xff, 0x49, 0xfa, 0xff, 0x49, 0xfa, 0xff, 0x49, 0xfa, 0xff, 0x49, 0xfa, 0xff, 0x49, 0xfa, 0xff, 0x49, 0xfa, 0xff, 0x49, 0xfa, 0xff, 0x49, 0xfa, 0xff, 0x49, 0xfa, 0xff, 0x49, 0xfa, 0xff, 0x49, 0xfa, 0xff, 0x49, 0xfa, 0xff, 0x49, 0xfa, 0xff, 0x49, 0xfa, 0xff, 0x49, 0xfa, 0xff, 0x49, 0xfa, 0xff, 0x49, 0xfa, 0xff, 0x49, 0xfa, 0xff, 0x49, 0xfa, 0xff, 0x49, 0xfa, 0xff, 0x49, 0xfa, 0xff, 0x49, 0xfa, 0xff, 0x49, 0xfa, 0xff, 0x49, 0xfa, 0xff, 0x49, 0xfa, 0xff, 0x49, 0xfa, 0xff, 0x49, 0xfa, 0xff, 0x49, 0xfa, 0xff, 0x49, 0xfa, 0xff, 0x49, 0xfa, 0xff, 0x49, 0xfa, 0xff, 0x49, 0xfa, 0xff, 0x49, 0xfa, 0xff, 0x49, 0xfa, 0xff, 0x49, 0xfa, 0xff, 0x49, 0xfa, 0xff, 0x49, 0xfa, 0xff, 0x49, 0xfa, 0xff, 0x49, 0xfa, 0xff, 0x49, 0xfa, 0xff, 0x49, 0xfa, 0xff, 0x29, 0xfa, 0xff, 0x29, 0xfa, 0xff, 0x29, 0xfa, 0xff, 0x29, 0xfa, 0xff, 0x28, 0xfa, 0xff, 0x28, 0xfa, 0xff, 0x08, 0xfa, 0xff, 0x08, 0xfa, 0xff, 0x08, 0xf2, 0xff, 0x08, 0xf2, 0xff, 0x08, 0xf2, 0xff, 0x08, 0xf2, 0xff, 0x08, 0xf2, 0xff, 0xe8, 0xf1, 0xff, 0xe8, 0xf1, 0xff, 0xe8, 0xf1, 0xff, 0xe8, 0xf1, 0xff, 0xe7, 0xf1, 0xff, 0x86, 0xf1, 0xff, 0xe3, 0xf0, 0xff, 0x62, 0xf0, 0xff, 0xa2, 0xe8, 0xff, 0xa2, 0xe8, 0xff, 0xc3, 0xe8, 0xff, 0x25, 0xd1, 0xff, 0xe7, 0xb9, 0xff, 0x8a, 0x9a, 0xff, 0x2c, 0x73, 0xff, 0x0c, 0x5b, 0xff, 0xcf, 0x7b, 0xff, 0x35, 0xad, 0xe8, 0xfc, 0xe6, 0x6f, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x75, 0xad, 0xa8, 0xdb, 0xde, 0xff, 0xbf, 0xf7, 0xff, 0xff, 0xf7, 0xff, 0xcf, 0xfb, 0xff, 0x08, 0xfa, 0xff, 0x41, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x49, 0xfa, 0xff, 0xcb, 0xfa, 0xff, 0x6e, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0xcf, 0xfb, 0xff, 0x6e, 0xfb, 0xff, 0xeb, 0xfa, 0xff, 0x49, 0xfa, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x20, 0xf8, 0xff, 0xe4, 0xd8, 0xff, 0xa6, 0xb1, 0xff, 0x8e, 0x63, 0xff, 0x8e, 0x73, 0xff, 0xf3, 0x9c, 0xff, 0xfc, 0xe6, 0xa8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x55, 0xad, 0xa0, 0x5d, 0xef, 0xff, 0x9e, 0xf7, 0xff, 0x5d, 0xf7, 0xff, 0x08, 0xfa, 0xff, 0x20, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x4d, 0xfb, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x4d, 0xfb, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0xe3, 0xd8, 0xff, 0x6e, 0x7b, 0xff, 0xcf, 0x7b, 0xff, 0x92, 0x94, 0xff, 0x3c, 0xe7, 0x9f, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0xb2, 0x94, 0x3c, 0xfc, 0xe6, 0xff, 0x9e, 0xf7, 0xff, 0x7e, 0xf7, 0xff, 0xe3, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x8e, 0xfb, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x8e, 0xfb, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x62, 0xf0, 0xff, 0xcf, 0x7b, 0xff, 0x30, 0x84, 0xff, 0x14, 0xa5, 0xff, 0xff, 0xff, 0x3c, 0x00, 0x00, 0x00,
    0xae, 0x73, 0x07, 0xb7, 0xbd, 0xff, 0x9e, 0xf7, 0xff, 0x9e, 0xf7, 0xff, 0x04, 0xf9, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x04, 0xf9, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x04, 0xf9, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x82, 0xf0, 0xff, 0x31, 0x84, 0xff, 0x51, 0x8c, 0xff, 0xbb, 0xde, 0xff, 0xff, 0xff, 0x07,
    0x14, 0xa5, 0x4c, 0x7e, 0xf7, 0xff, 0x9e, 0xf7, 0xff, 0x92, 0xfc, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x28, 0xfa, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x28, 0xfa, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x8a, 0xba, 0xff, 0x92, 0x8c, 0xff, 0xb3, 0x9c, 0xff, 0x9e, 0xf7, 0x4c,
    0xb6, 0xb5, 0xa0, 0x7e, 0xf7, 0xff, 0x9e, 0xf7, 0xff, 0xc3, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0xaa, 0xfa, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0xaa, 0xfa, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x62, 0xf0, 0xff, 0x92, 0x94, 0xff, 0xb3, 0x9c, 0xff, 0xdb, 0xde, 0xa0,
    0xf7, 0xbd, 0xe0, 0x7d, 0xef, 0xff, 0x55, 0xf5, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0xe8, 0xf9, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0xe7, 0xf9, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x4d, 0xb3, 0xff, 0xd3, 0x9c, 0xff, 0x9a, 0xd6, 0xdf,
    0x38, 0xc6, 0xfb, 0x7d, 0xef, 0xff, 0x0c, 0xfb, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0xa3, 0xf8, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0xa3, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0xe8, 0xd1, 0xff, 0xd3, 0x9c, 0xff, 0x59, 0xce, 0xfb,
    0x38, 0xc6, 0xff, 0x7d, 0xef, 0xff, 0x29, 0xfa, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x6a, 0xfa, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x69, 0xfa, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x66, 0xe1, 0xff, 0xd3, 0x9c, 0xff, 0x39, 0xce, 0xff,
    0x38, 0xc6, 0xff, 0x5d, 0xef, 0xff, 0x28, 0xfa, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x8a, 0xfa, 0xff, 0xef, 0xfb, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0x10, 0xfc, 0xff, 0xef, 0xfb, 0xff, 0x8a, 0xfa, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x65, 0xe1, 0xff, 0xd3, 0x9c, 0xff, 0x39, 0xce, 0xff,
    0x38, 0xc6, 0xff, 0x5d, 0xef, 0xff, 0x28, 0xfa, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x45, 0xf9, 0xff, 0xcb, 0xfa, 0xff, 0x0c, 0xfb, 0xff, 0x2d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x4d, 0xfb, 0xff, 0x2d, 0xfb, 0xff, 0x0c, 0xfb, 0xff, 0xcb, 0xfa, 0xff, 0x45, 0xf9, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x65, 0xe1, 0xff, 0xd3, 0x9c, 0xff, 0x39, 0xce, 0xff,
    0x38, 0xc6, 0xff, 0x5d, 0xef, 0xff, 0x28, 0xfa, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x41, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0x41, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x65, 0xe1, 0xff, 0xd3, 0x9c, 0xff, 0x39, 0xce, 0xff,
    0x18, 0xc6, 0xff, 0x5d, 0xef, 0xff, 0x08, 0xfa, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x65, 0xe1, 0xff, 0xd3, 0x9c, 0xff, 0x39, 0xce, 0xff,
    0x18, 0xc6, 0xff, 0x3d, 0xef, 0xff, 0x08, 0xfa, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x65, 0xe1, 0xff, 0xd3, 0x9c, 0xff, 0x39, 0xce, 0xff,
    0x18, 0xc6, 0xff, 0x3d, 0xef, 0xff, 0x08, 0xfa, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x65, 0xe1, 0xff, 0xd3, 0x9c, 0xff, 0x39, 0xce, 0xff,
    0x18, 0xc6, 0xff, 0x3d, 0xef, 0xff, 0x08, 0xfa, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x65, 0xe1, 0xff, 0xd3, 0x9c, 0xff, 0x39, 0xce, 0xff,
    0x18, 0xc6, 0xff, 0x3c, 0xe7, 0xff, 0x08, 0xfa, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x65, 0xe1, 0xff, 0xd3, 0x9c, 0xff, 0x39, 0xce, 0xff,
    0x18, 0xc6, 0xff, 0x1c, 0xe7, 0xff, 0x08, 0xfa, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x65, 0xe1, 0xff, 0xd3, 0x9c, 0xff, 0x39, 0xce, 0xff,
    0xf8, 0xc5, 0xff, 0x1c, 0xe7, 0xff, 0x08, 0xfa, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x65, 0xe1, 0xff, 0xd3, 0x9c, 0xff, 0x59, 0xce, 0xff,
    0xf7, 0xbd, 0xff, 0x1c, 0xe7, 0xff, 0x08, 0xfa, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x65, 0xe1, 0xff, 0xd3, 0x9c, 0xff, 0x59, 0xce, 0xff,
    0xf7, 0xbd, 0xff, 0x1c, 0xe7, 0xff, 0x08, 0xfa, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x65, 0xe1, 0xff, 0xd3, 0x9c, 0xff, 0x59, 0xce, 0xff,
    0xd7, 0xbd, 0xff, 0xfc, 0xe6, 0xff, 0x08, 0xfa, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x65, 0xe1, 0xff, 0xd3, 0x9c, 0xff, 0x59, 0xce, 0xff,
    0xd7, 0xbd, 0xff, 0xfc, 0xe6, 0xff, 0x08, 0xfa, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x65, 0xe1, 0xff, 0xd3, 0x9c, 0xff, 0x59, 0xce, 0xff,
    0xb7, 0xbd, 0xff, 0xfb, 0xde, 0xff, 0x08, 0xfa, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x65, 0xe1, 0xff, 0xd3, 0x9c, 0xff, 0x59, 0xce, 0xff,
    0xb6, 0xb5, 0xff, 0xfb, 0xde, 0xff, 0x08, 0xfa, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x65, 0xe1, 0xff, 0xd3, 0x9c, 0xff, 0x59, 0xce, 0xff,
    0x96, 0xb5, 0xff, 0xdb, 0xde, 0xff, 0x08, 0xf2, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x66, 0xe1, 0xff, 0xd3, 0x9c, 0xff, 0x59, 0xce, 0xff,
    0x75, 0xad, 0xfb, 0xba, 0xd6, 0xff, 0xcb, 0xf2, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x08, 0xd2, 0xff, 0xd3, 0x9c, 0xff, 0x59, 0xce, 0xfb,
    0x14, 0xa5, 0xe0, 0x7a, 0xd6, 0xff, 0xb2, 0xdc, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x6e, 0xbb, 0xff, 0xd3, 0x9c, 0xff, 0x9a, 0xd6, 0xdf,
    0xb2, 0x94, 0xa0, 0x39, 0xce, 0xff, 0x79, 0xce, 0xff, 0x82, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x82, 0xf8, 0xff, 0xf3, 0x9c, 0xff, 0xd3, 0x9c, 0xff, 0xfc, 0xe6, 0xa0,
    0xcf, 0x7b, 0x4c, 0x18, 0xc6, 0xff, 0x38, 0xc6, 0xff, 0xcf, 0xdb, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0x00, 0xf8, 0xff, 0xec, 0xc2, 0xff, 0xf3, 0x9c, 0xff, 0xd3, 0x9c, 0xff, 0xbe, 0xf7, 0x4c,
    0xcb, 0x5a, 0x07, 0x51, 0x8c, 0xff, 0xf7, 0xbd, 0xff, 0xd7, 0xbd, 0xff, 0x24, 0xe9, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf0, 0xff, 0x00, 0xf8, 0xff, 0xe4, 0xe0, 0xff, 0xd3, 0x9c, 0xff, 0xb2, 0x94, 0xff, 0xfb, 0xde, 0xff, 0xff, 0xff, 0x07,
    0x00, 0x00, 0x00, 0x4d, 0x6b, 0x47, 0x34, 0xa5, 0xff, 0xb6, 0xb5, 0xff, 0xd7, 0xb5, 0xff, 0xa3, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0x00, 0xe0, 0xff, 0xa2, 0xd8, 0xff, 0xf4, 0x9c, 0xff, 0xd3, 0x9c, 0xff, 0x75, 0xad, 0xff, 0xff, 0xff, 0x44, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x6d, 0x6b, 0xa4, 0x55, 0xad, 0xff, 0x76, 0xb5, 0xff, 0x96, 0xb5, 0xff, 0x04, 0xc9, 0xff, 0x41, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x00, 0xd0, 0xff, 0x21, 0xd0, 0xff, 0xe4, 0xc8, 0xff, 0xf3, 0x9c, 0xff, 0xb3, 0x9c, 0xff, 0xf4, 0xa4, 0xff, 0xbe, 0xf7, 0xa4, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xcf, 0x7b, 0x9f, 0xf3, 0x9c, 0xff, 0x55, 0xad, 0xff, 0x76, 0xad, 0xff, 0x2d, 0xb3, 0xff, 0x45, 0xb9, 0xff, 0x20, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x00, 0xc0, 0xff, 0x25, 0xb9, 0xff, 0xeb, 0xaa, 0xff, 0xf3, 0x9c, 0xff, 0xd3, 0x9c, 0xff, 0x75, 0xad, 0xff, 0x3d, 0xef, 0x9f, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xef, 0x7b, 0x68, 0x51, 0x8c, 0xf3, 0x14, 0xa5, 0xff, 0x75, 0xa5, 0xff, 0xb3, 0xa4, 0xff, 0x4d, 0xab, 0xff, 0xcb, 0xaa, 0xff, 0x29, 0xaa, 0xff, 0x66, 0xb1, 0xff, 0x04, 0xb1, 0xff, 0x04, 0xb1, 0xff, 0x04, 0xb1, 0xff, 0x04, 0xb1, 0xff, 0x04, 0xb1, 0xff, 0x04, 0xb1, 0xff, 0x04, 0xb1, 0xff, 0x04, 0xb1, 0xff, 0x04, 0xb1, 0xff, 0x04, 0xb1, 0xff, 0x04, 0xb1, 0xff, 0x04, 0xb1, 0xff, 0x04, 0xb1, 0xff, 0x04, 0xb1, 0xff, 0x04, 0xb1, 0xff, 0x04, 0xb1, 0xff, 0x04, 0xb1, 0xff, 0x04, 0xb1, 0xff, 0x04, 0xb1, 0xff, 0x04, 0xb1, 0xff, 0x04, 0xb1, 0xff, 0x04, 0xb1, 0xff, 0x04, 0xb1, 0xff, 0x04, 0xb1, 0xff, 0x04, 0xb1, 0xff, 0x04, 0xb1, 0xff, 0x04, 0xb1, 0xff, 0x04, 0xb1, 0xff, 0x04, 0xb1, 0xff, 0x04, 0xb1, 0xff, 0xe4, 0xb0, 0xff, 0xe4, 0xb0, 0xff, 0xe4, 0xa8, 0xff, 0xe4, 0xa8, 0xff, 0xe4, 0xa8, 0xff, 0xe4, 0xa8, 0xff, 0xe4, 0xa8, 0xff, 0xe4, 0xa8, 0xff, 0xe4, 0xa8, 0xff, 0xe4, 0xa8, 0xff, 0xe3, 0xa8, 0xff, 0xe3, 0xa8, 0xff, 0xe3, 0xa8, 0xff, 0xe3, 0xa8, 0xff, 0xe3, 0xa8, 0xff, 0xe3, 0xa8, 0xff, 0xc3, 0xa8, 0xff, 0xc3, 0xa8, 0xff, 0xc3, 0xa8, 0xff, 0xc3, 0xa8, 0xff, 0xc3, 0xa8, 0xff, 0xc3, 0xa8, 0xff, 0xc3, 0xa8, 0xff, 0xc3, 0xa8, 0xff, 0xc3, 0xa8, 0xff, 0xc3, 0xa8, 0xff, 0xa3, 0xa8, 0xff, 0xc3, 0xa8, 0xff, 0xa3, 0xa0, 0xff, 0xa3, 0xa0, 0xff, 0xa3, 0xa0, 0xff, 0xa3, 0xa0, 0xff, 0xa2, 0xa0, 0xff, 0xa2, 0xa0, 0xff, 0xa2, 0xa0, 0xff, 0xa2, 0xa0, 0xff, 0xa3, 0xa0, 0xff, 0xa3, 0xa0, 0xff, 0xc3, 0xa8, 0xff, 0xc3, 0xa8, 0xff, 0xc3, 0xa8, 0xff, 0xc3, 0xa8, 0xff, 0xc3, 0xa8, 0xff, 0xe3, 0xa8, 0xff, 0xe4, 0xa8, 0xff, 0xe4, 0xa8, 0xff, 0xe4, 0xa8, 0xff, 0xe4, 0xa8, 0xff, 0xe4, 0xa8, 0xff, 0xe4, 0xa8, 0xff, 0xe4, 0xa8, 0xff, 0xe4, 0xa8, 0xff, 0xe4, 0xa8, 0xff, 0xe4, 0xa8, 0xff, 0xe4, 0xa8, 0xff, 0xe4, 0xa8, 0xff, 0xe4, 0xa8, 0xff, 0xe4, 0xa8, 0xff, 0xe4, 0xa8, 0xff, 0xe4, 0xa8, 0xff, 0xe4, 0xa8, 0xff, 0xe4, 0xa8, 0xff, 0xe4, 0xa8, 0xff, 0x04, 0xa9, 0xff, 0x45, 0xa9, 0xff, 0x08, 0xaa, 0xff, 0xab, 0xaa, 0xff, 0x0c, 0xa3, 0xff, 0x51, 0x9c, 0xff, 0xf3, 0x94, 0xff, 0xf3, 0x9c, 0xff, 0x59, 0xce, 0xf3, 0x1c, 0xe7, 0x68, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x8e, 0x73, 0x2c, 0x10, 0x84, 0x8b, 0x71, 0x8c, 0xf4, 0xb3, 0x9c, 0xff, 0x14, 0xa5, 0xff, 0x14, 0xa5, 0xff, 0xf3, 0xa4, 0xff, 0xb2, 0xa4, 0xff, 0x92, 0xa4, 0xff, 0x92, 0xa4, 0xff, 0x92, 0xa4, 0xff, 0x92, 0xa4, 0xff, 0x92, 0xa4, 0xff, 0x92, 0xa4, 0xff, 0xb2, 0xa4, 0xff, 0xb2, 0xa4, 0xff, 0xb2, 0xa4, 0xff, 0xb2, 0xa4, 0xff, 0xb2, 0xa4, 0xff, 0xb2, 0xa4, 0xff, 0xb2, 0xa4, 0xff, 0xb2, 0xa4, 0xff, 0xb2, 0xa4, 0xff, 0xb2, 0xa4, 0xff, 0xb2, 0xa4, 0xff, 0xb2, 0xa4, 0xff, 0xb2, 0xa4, 0xff, 0x92, 0xa4, 0xff, 0x92, 0xa4, 0xff, 0x92, 0xa4, 0xff, 0x92, 0xa4, 0xff, 0x92, 0xa4, 0xff, 0x72, 0xa4, 0xff, 0x72, 0xa4, 0xff, 0x72, 0xa4, 0xff, 0x71, 0x9c, 0xff, 0x71, 0x9c, 0xff, 0x71, 0x9c, 0xff, 0x71, 0x9c, 0xff, 0x51, 0x9c, 0xff, 0x51, 0x9c, 0xff, 0x51, 0x9c, 0xff, 0x31, 0x9c, 0xff, 0x31, 0x9c, 0xff, 0x30, 0x94, 0xff, 0x10, 0x94, 0xff, 0x10, 0x94, 0xff, 0x10, 0x94, 0xff, 0x10, 0x94, 0xff, 0xf0, 0x93, 0xff, 0xf0, 0x8b, 0xff, 0xef, 0x8b, 0xff, 0xcf, 0x8b, 0xff, 0xcf, 0x8b, 0xff, 0xcf, 0x8b, 0xff, 0xaf, 0x83, 0xff, 0xae, 0x83, 0xff, 0x8e, 0x83, 0xff, 0x8e, 0x83, 0xff, 0x6e, 0x7b, 0xff, 0x6d, 0x7b, 0xff, 0x4d, 0x7b, 0xff, 0x4d, 0x7b, 0xff, 0x2d, 0x7b, 0xff, 0x2c, 0x73, 0xff, 0x2c, 0x73, 0xff, 0x0c, 0x73, 0xff, 0xec, 0x72, 0xff, 0xeb, 0x6a, 0xff, 0xcb, 0x6a, 0xff, 0xcb, 0x6a, 0xff, 0xeb, 0x6a, 0xff, 0x0c, 0x73, 0xff, 0x2c, 0x73, 0xff, 0x4d, 0x7b, 0xff, 0x6e, 0x7b, 0xff, 0x8e, 0x83, 0xff, 0xaf, 0x8b, 0xff, 0xcf, 0x8b, 0xff, 0xf0, 0x93, 0xff, 0x30, 0x94, 0xff, 0x31, 0x9c, 0xff, 0x51, 0x9c, 0xff, 0x51, 0x9c, 0xff, 0x51, 0x9c, 0xff, 0x51, 0x9c, 0xff, 0x51, 0x9c, 0xff, 0x51, 0x9c, 0xff, 0x51, 0x9c, 0xff, 0x51, 0x9c, 0xff, 0x51, 0x9c, 0xff, 0x51, 0x9c, 0xff, 0x51, 0x9c, 0xff, 0x51, 0x9c, 0xff, 0x51, 0x9c, 0xff, 0x51, 0x9c, 0xff, 0x51, 0x9c, 0xff, 0x51, 0x9c, 0xff, 0x51, 0x9c, 0xff, 0x51, 0x9c, 0xff, 0x51, 0x9c, 0xff, 0x51, 0x9c, 0xff, 0x51, 0x9c, 0xff, 0x92, 0x94, 0xff, 0x92, 0x94, 0xff, 0xb2, 0x94, 0xff, 0x75, 0xad, 0xff, 0x38, 0xc6, 0xf3, 0xfb, 0xde, 0x88, 0xff, 0xff, 0x2c, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x6d, 0x6b, 0x04, 0x31, 0x8c, 0x0c, 0xf0, 0x83, 0x47, 0x10, 0x84, 0xb8, 0x71, 0x8c, 0xeb, 0x92, 0x94, 0xf8, 0xb2, 0x94, 0xff, 0xb3, 0x94, 0xff, 0xb3, 0x9c, 0xff, 0xd3, 0x9c, 0xff, 0xd3, 0x9c, 0xff, 0xd3, 0x9c, 0xff, 0xf3, 0x9c, 0xff, 0xf3, 0x9c, 0xff, 0xf4, 0x9c, 0xff, 0x14, 0xa5, 0xff, 0x14, 0xa5, 0xff, 0x14, 0xa5, 0xff, 0x14, 0xa5, 0xff, 0x14, 0xa5, 0xff, 0x34, 0xa5, 0xff, 0x34, 0xa5, 0xff, 0x35, 0xa5, 0xff, 0x35, 0xa5, 0xff, 0x35, 0xad, 0xff, 0x35, 0xad, 0xff, 0x55, 0xad, 0xff, 0x55, 0xad, 0xff, 0x55, 0xad, 0xff, 0x55, 0xad, 0xff, 0x55, 0xad, 0xff, 0x55, 0xad, 0xff, 0x55, 0xad, 0xff, 0x55, 0xad, 0xff, 0x55, 0xad, 0xff, 0x55, 0xad, 0xff, 0x55, 0xad, 0xff, 0x55, 0xad, 0xff, 0x55, 0xad, 0xff, 0x55, 0xad, 0xff, 0x55, 0xad, 0xff, 0x35, 0xa5, 0xff, 0x35, 0xa5, 0xff, 0x34, 0xa5, 0xff, 0x34, 0xa5, 0xff, 0x14, 0xa5, 0xff, 0x14, 0xa5, 0xff, 0x14, 0xa5, 0xff, 0x14, 0xa5, 0xff, 0xf4, 0xa4, 0xff, 0xf4, 0xa4, 0xff, 0xf4, 0xa4, 0xff, 0xf3, 0x9c, 0xff, 0xd3, 0x9c, 0xff, 0xd3, 0x9c, 0xff, 0xd3, 0x9c, 0xff, 0xd3, 0x9c, 0xff, 0xb3, 0x9c, 0xff, 0xb3, 0x94, 0xff, 0xb2, 0x94, 0xff, 0x92, 0x94, 0xff, 0x92, 0x94, 0xff, 0x92, 0x94, 0xff, 0x72, 0x94, 0xff, 0x72, 0x8c, 0xff, 0x71, 0x8c, 0xff, 0x51, 0x8c, 0xff, 0x51, 0x8c, 0xff, 0x72, 0x94, 0xff, 0x92, 0x94, 0xff, 0xb2, 0x94, 0xff, 0xd3, 0x9c, 0xff, 0xd3, 0x9c, 0xff, 0xf4, 0xa4, 0xff, 0x14, 0xa5, 0xff, 0x35, 0xad, 0xff, 0x55, 0xad, 0xff, 0x75, 0xad, 0xff, 0x96, 0xb5, 0xff, 0x96, 0xb5, 0xff, 0x96, 0xb5, 0xff, 0x96, 0xb5, 0xff, 0x96, 0xb5, 0xff, 0x96, 0xb5, 0xff, 0x96, 0xb5, 0xff, 0x96, 0xb5, 0xff, 0x96, 0xb5, 0xff, 0x96, 0xb5, 0xff, 0x96, 0xb5, 0xff, 0x96, 0xb5, 0xff, 0x96, 0xb5, 0xff, 0x96, 0xb5, 0xff, 0x96, 0xb5, 0xff, 0x96, 0xb5, 0xff, 0x96, 0xb5, 0xff, 0x96, 0xb5, 0xff, 0x96, 0xb5, 0xff, 0x96, 0xb5, 0xff, 0x96, 0xb5, 0xff, 0xb6, 0xb5, 0xff, 0xb6, 0xb5, 0xff, 0xb6, 0xb5, 0xff, 0xf7, 0xbd, 0xf8, 0x9a, 0xd6, 0xeb, 0x9e, 0xf7, 0xb8, 0x9e, 0xf7, 0x47, 0xbb, 0xde, 0x0c, 0xff, 0xff, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
#endif
#if LV_COLOR_DEPTH == 16 && LV_COLOR_16_SWAP != 0
    /*Pixel format: Alpha 8 bit, Red: 5 bit, Green: 6 bit, Blue: 5 bit  BUT the 2  color bytes are swapped*/
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x84, 0x10, 0x04, 0xa4, 0xf4, 0x13, 0xad, 0x55, 0x47, 0xbd, 0xd7, 0x8c, 0xbd, 0xd7, 0xcb, 0xc6, 0x18, 0xef, 0xc6, 0x38, 0xff, 0xc6, 0x18, 0xff, 0xc6, 0x18, 0xff, 0xbd, 0xf8, 0xff, 0xbd, 0xf7, 0xff, 0xbd, 0xd7, 0xff, 0xbd, 0xd7, 0xff, 0xbd, 0xd7, 0xff, 0xbd, 0xd7, 0xff, 0xbd, 0xf7, 0xff, 0xc5, 0xf8, 0xff, 0xc6, 0x18, 0xff, 0xc6, 0x18, 0xff, 0xc6, 0x38, 0xff, 0xc6, 0x38, 0xff, 0xc6, 0x39, 0xff, 0xce, 0x39, 0xff, 0xce, 0x59, 0xff, 0xce, 0x59, 0xff, 0xce, 0x59, 0xff, 0xce, 0x59, 0xff, 0xce, 0x79, 0xff, 0xce, 0x79, 0xff, 0xd6, 0x7a, 0xff, 0xd6, 0x9a, 0xff, 0xd6, 0x9a, 0xff, 0xd6, 0x9a, 0xff, 0xd6, 0x9a, 0xff, 0xd6, 0xba, 0xff, 0xd6, 0xba, 0xff, 0xd6, 0xba, 0xff, 0xde, 0xbb, 0xff, 0xde, 0xdb, 0xff, 0xde, 0xdb, 0xff, 0xde, 0xdb, 0xff, 0xde, 0xdb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xfc, 0xff, 0xe6, 0xfc, 0xff, 0xe7, 0x1c, 0xff, 0xe7, 0x1c, 0xff, 0xe7, 0x1c, 0xff, 0xe7, 0x1c, 0xff, 0xe7, 0x1c, 0xff, 0xe7, 0x3c, 0xff, 0xe7, 0x3c, 0xff, 0xe7, 0x3c, 0xff, 0xe7, 0x3c, 0xff, 0xe7, 0x3c, 0xff, 0xe7, 0x3c, 0xff, 0xe7, 0x3c, 0xff, 0xe7, 0x3c, 0xff, 0xe7, 0x1c, 0xff, 0xe7, 0x3c, 0xff, 0xe7, 0x1c, 0xff, 0xe7, 0x3c, 0xff, 0xe7, 0x3c, 0xff, 0xe7, 0x1c, 0xff, 0xe7, 0x1c, 0xff, 0xe7, 0x1c, 0xff, 0xe7, 0x1c, 0xff, 0xe7, 0x1c, 0xff, 0xe7, 0x1c, 0xff, 0xe7, 0x1c, 0xff, 0xe7, 0x1c, 0xff, 0xe7, 0x1c, 0xff, 0xe7, 0x1c, 0xff, 0xe7, 0x1c, 0xff, 0xe7, 0x1c, 0xff, 0xe7, 0x1c, 0xff, 0xe7, 0x1c, 0xff, 0xe6, 0xfc, 0xff, 0xde, 0xfc, 0xff, 0xde, 0xfb, 0xff, 0xde, 0xdb, 0xff, 0xde, 0xdb, 0xff, 0xd6, 0xbb, 0xff, 0xd6, 0x9a, 0xff, 0xd6, 0x9a, 0xff, 0xd6, 0x7a, 0xff, 0xce, 0x7a, 0xff, 0xce, 0x79, 0xff, 0xce, 0x59, 0xff, 0xce, 0x59, 0xff, 0xc6, 0x38, 0xff, 0xc6, 0x18, 0xff, 0xc6, 0x18, 0xff, 0xc5, 0xf8, 0xff, 0xbd, 0xf7, 0xff, 0xbd, 0xd7, 0xff, 0xbd, 0xd7, 0xff, 0xbd, 0xb7, 0xff, 0xb5, 0xb6, 0xff, 0xb5, 0x96, 0xff, 0xb5, 0x96, 0xff, 0xb5, 0xb6, 0xef, 0xc5, 0xf8, 0xc8, 0xc6, 0x38, 0x8c, 0xde, 0xfb, 0x44, 0xde, 0xdb, 0x13, 0xff, 0xff, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xad, 0x55, 0x28, 0xbd, 0xb7, 0x7b, 0xc6, 0x38, 0xff, 0xf7, 0x9e, 0xff, 0xff, 0xff, 0xff, 0xff, 0xdf, 0xff, 0xff, 0x5d, 0xff, 0xfe, 0xfc, 0xff, 0xfe, 0xdb, 0xff, 0xfe, 0xdb, 0xff, 0xfe, 0xfb, 0xff, 0xfe, 0xdb, 0xff, 0xfe, 0xdb, 0xff, 0xfe, 0xdb, 0xff, 0xfe, 0xdb, 0xff, 0xfe, 0xdb, 0xff, 0xfe, 0xdb, 0xff, 0xfe, 0xdb, 0xff, 0xfe, 0xfb, 0xff, 0xfe, 0xfb, 0xff, 0xfe, 0xfb, 0xff, 0xfe, 0xfb, 0xff, 0xfe, 0xfb, 0xff, 0xfe, 0xfb, 0xff, 0xfe, 0xdb, 0xff, 0xfe, 0xdb, 0xff, 0xfe, 0xdb, 0xff, 0xfe, 0xdb, 0xff, 0xfe, 0xdb, 0xff, 0xfe, 0xbb, 0xff, 0xfe, 0xbb, 0xff, 0xfe, 0xbb, 0xff, 0xfe, 0xbb, 0xff, 0xfe, 0xba, 0xff, 0xfe, 0xba, 0xff, 0xfe, 0xba, 0xff, 0xfe, 0x9a, 0xff, 0xfe, 0x9a, 0xff, 0xfe, 0x9a, 0xff, 0xfe, 0x9a, 0xff, 0xfe, 0x9a, 0xff, 0xfe, 0x9a, 0xff, 0xfe, 0x7a, 0xff, 0xf6, 0x7a, 0xff, 0xf6, 0x7a, 0xff, 0xf6, 0x79, 0xff, 0xf6, 0x79, 0xff, 0xf6, 0x79, 0xff, 0xf6, 0x59, 0xff, 0xf6, 0x59, 0xff, 0xf6, 0x59, 0xff, 0xf6, 0x59, 0xff, 0xf6, 0x59, 0xff, 0xf6, 0x59, 0xff, 0xf6, 0x39, 0xff, 0xf6, 0x39, 0xff, 0xee, 0x39, 0xff, 0xee, 0x38, 0xff, 0xee, 0x38, 0xff, 0xee, 0x38, 0xff, 0xee, 0x18, 0xff, 0xee, 0x18, 0xff, 0xee, 0x18, 0xff, 0xee, 0x18, 0xff, 0xee, 0x18, 0xff, 0xee, 0x18, 0xff, 0xed, 0xf8, 0xff, 0xed, 0xf8, 0xff, 0xe5, 0xf8, 0xff, 0xe5, 0xf8, 0xff, 0xe5, 0xf8, 0xff, 0xe5, 0xf7, 0xff, 0xe5, 0xf7, 0xff, 0xe5, 0xf7, 0xff, 0xe5, 0xf7, 0xff, 0xe5, 0xd7, 0xff, 0xe5, 0xd7, 0xff, 0xe5, 0xd7, 0xff, 0xe5, 0xd7, 0xff, 0xe5, 0xb7, 0xff, 0xdd, 0xb6, 0xff, 0xdd, 0x96, 0xff, 0xd5, 0x55, 0xff, 0xd5, 0x55, 0xff, 0xcd, 0x34, 0xff, 0xcd, 0x14, 0xff, 0xc4, 0xf3, 0xff, 0xc4, 0xd3, 0xff, 0xbc, 0xb3, 0xff, 0xbc, 0x92, 0xff, 0xb4, 0x72, 0xff, 0xb4, 0x51, 0xff, 0xb4, 0x31, 0xff, 0xac, 0x30, 0xff, 0xac, 0x10, 0xff, 0xa3, 0xef, 0xff, 0xa3, 0xcf, 0xff, 0x9b, 0xaf, 0xff, 0x9b, 0xae, 0xff, 0x93, 0x8e, 0xff, 0x93, 0x6e, 0xff, 0x8b, 0x4d, 0xff, 0x8b, 0x4d, 0xff, 0x7b, 0x4d, 0xff, 0x73, 0x8e, 0xff, 0x6b, 0x8e, 0xff, 0x73, 0x8e, 0xff, 0xb5, 0x96, 0xff, 0xce, 0x59, 0x7b, 0xe7, 0x1c, 0x28, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xad, 0x55, 0x6f, 0xd6, 0x9a, 0xeb, 0xef, 0x5d, 0xff, 0xff, 0xff, 0xff, 0xf7, 0x5d, 0xff, 0xfd, 0x76, 0xff, 0xfc, 0x10, 0xff, 0xfa, 0x8a, 0xff, 0xf9, 0x86, 0xff, 0xf9, 0x25, 0xff, 0xf9, 0x24, 0xff, 0xf9, 0x04, 0xff, 0xf9, 0x65, 0xff, 0xfa, 0x08, 0xff, 0xfa, 0x49, 0xff, 0xfa, 0x69, 0xff, 0xfa, 0x69, 0xff, 0xfa, 0x69, 0xff, 0xfa, 0x69, 0xff, 0xfa, 0x69, 0xff, 0xfa, 0x69, 0xff, 0xfa, 0x69, 0xff, 0xfa, 0x69, 0xff, 0xfa, 0x69, 0xff, 0xfa, 0x69, 0xff, 0xfa, 0x69, 0xff, 0xfa, 0x69, 0xff, 0xfa, 0x69, 0xff, 0xfa, 0x69, 0xff, 0xfa, 0x69, 0xff, 0xfa, 0x69, 0xff, 0xfa, 0x69, 0xff, 0xfa, 0x69, 0xff, 0xfa, 0x69, 0xff, 0xfa, 0x69, 0xff, 0xfa, 0x69, 0xff, 0xfa, 0x69, 0xff, 0xfa, 0x69, 0xff, 0xfa, 0x49, 0xff, 0xfa, 0x49, 0xff, 0xfa, 0x49, 0xff, 0xfa, 0x49, 0xff, 0xfa, 0x49, 0xff, 0xfa, 0x49, 0xff, 0xfa, 0x49, 0xff, 0xfa, 0x49, 0xff, 0xfa, 0x49, 0xff, 0xfa, 0x49, 0xff, 0xfa, 0x49, 0xff, 0xfa, 0x49, 0xff, 0xfa, 0x49, 0xff, 0xfa, 0x49, 0xff, 0xfa, 0x49, 0xff, 0xfa, 0x49, 0xff, 0xfa, 0x49, 0xff, 0xfa, 0x49, 0xff, 0xfa, 0x49, 0xff, 0xfa, 0x49, 0xff, 0xfa, 0x49, 0xff, 0xfa, 0x49, 0xff, 0xfa, 0x49, 0xff, 0xfa, 0x49, 0xff, 0xfa, 0x49, 0xff, 0xfa, 0x49, 0xff, 0xfa, 0x49, 0xff, 0xfa, 0x49, 0xff, 0xfa, 0x49, 0xff, 0xfa, 0x49, 0xff, 0xfa, 0x49, 0xff, 0xfa, 0x49, 0xff, 0xfa, 0x49, 0xff, 0xfa, 0x49, 0xff, 0xfa, 0x49, 0xff, 0xfa, 0x49, 0xff, 0xfa, 0x49, 0xff, 0xfa, 0x49, 0xff, 0xfa, 0x49, 0xff, 0xfa, 0x49, 0xff, 0xfa, 0x49, 0xff, 0xfa, 0x49, 0xff, 0xfa, 0x29, 0xff, 0xfa, 0x29, 0xff, 0xfa, 0x29, 0xff, 0xfa, 0x29, 0xff, 0xfa, 0x28, 0xff, 0xfa, 0x28, 0xff, 0xfa, 0x08, 0xff, 0xfa, 0x08, 0xff, 0xf2, 0x08, 0xff, 0xf2, 0x08, 0xff, 0xf2, 0x08, 0xff, 0xf2, 0x08, 0xff, 0xf2, 0x08, 0xff, 0xf1, 0xe8, 0xff, 0xf1, 0xe8, 0xff, 0xf1, 0xe8, 0xff, 0xf1, 0xe8, 0xff, 0xf1, 0xe7, 0xff, 0xf1, 0x86, 0xff, 0xf0, 0xe3, 0xff, 0xf0, 0x62, 0xff, 0xe8, 0xa2, 0xff, 0xe8, 0xa2, 0xff, 0xe8, 0xc3, 0xff, 0xd1, 0x25, 0xff, 0xb9, 0xe7, 0xff, 0x9a, 0x8a, 0xff, 0x73, 0x2c, 0xff, 0x5b, 0x0c, 0xff, 0x7b, 0xcf, 0xff, 0xad, 0x35, 0xe8, 0xe6, 0xfc, 0x6f, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xad, 0x75, 0xa8, 0xde, 0xdb, 0xff, 0xf7, 0xbf, 0xff, 0xf7, 0xff, 0xff, 0xfb, 0xcf, 0xff, 0xfa, 0x08, 0xff, 0xf8, 0x41, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xfa, 0x49, 0xff, 0xfa, 0xcb, 0xff, 0xfb, 0x6e, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0xcf, 0xff, 0xfb, 0x6e, 0xff, 0xfa, 0xeb, 0xff, 0xfa, 0x49, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x20, 0xff, 0xd8, 0xe4, 0xff, 0xb1, 0xa6, 0xff, 0x63, 0x8e, 0xff, 0x73, 0x8e, 0xff, 0x9c, 0xf3, 0xff, 0xe6, 0xfc, 0xa8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xad, 0x55, 0xa0, 0xef, 0x5d, 0xff, 0xf7, 0x9e, 0xff, 0xf7, 0x5d, 0xff, 0xfa, 0x08, 0xff, 0xf8, 0x20, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xfb, 0x4d, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfb, 0x4d, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xd8, 0xe3, 0xff, 0x7b, 0x6e, 0xff, 0x7b, 0xcf, 0xff, 0x94, 0x92, 0xff, 0xe7, 0x3c, 0x9f, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x94, 0xb2, 0x3c, 0xe6, 0xfc, 0xff, 0xf7, 0x9e, 0xff, 0xf7, 0x7e, 0xff, 0xf8, 0xe3, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xfb, 0x8e, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfb, 0x8e, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf0, 0x62, 0xff, 0x7b, 0xcf, 0xff, 0x84, 0x30, 0xff, 0xa5, 0x14, 0xff, 0xff, 0xff, 0x3c, 0x00, 0x00, 0x00,
    0x73, 0xae, 0x07, 0xbd, 0xb7, 0xff, 0xf7, 0x9e, 0xff, 0xf7, 0x9e, 0xff, 0xf9, 0x04, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf9, 0x04, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xf9, 0x04, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf0, 0x82, 0xff, 0x84, 0x31, 0xff, 0x8c, 0x51, 0xff, 0xde, 0xbb, 0xff, 0xff, 0xff, 0x07,
    0xa5, 0x14, 0x4c, 0xf7, 0x7e, 0xff, 0xf7, 0x9e, 0xff, 0xfc, 0x92, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xfa, 0x28, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfa, 0x28, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xba, 0x8a, 0xff, 0x8c, 0x92, 0xff, 0x9c, 0xb3, 0xff, 0xf7, 0x9e, 0x4c,
    0xb5, 0xb6, 0xa0, 0xf7, 0x7e, 0xff, 0xf7, 0x9e, 0xff, 0xf8, 0xc3, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xfa, 0xaa, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfa, 0xaa, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf0, 0x62, 0xff, 0x94, 0x92, 0xff, 0x9c, 0xb3, 0xff, 0xde, 0xdb, 0xa0,
    0xbd, 0xf7, 0xe0, 0xef, 0x7d, 0xff, 0xf5, 0x55, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf9, 0xe8, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xf9, 0xe7, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xb3, 0x4d, 0xff, 0x9c, 0xd3, 0xff, 0xd6, 0x9a, 0xdf,
    0xc6, 0x38, 0xfb, 0xef, 0x7d, 0xff, 0xfb, 0x0c, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0xa3, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xf8, 0xa3, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xd1, 0xe8, 0xff, 0x9c, 0xd3, 0xff, 0xce, 0x59, 0xfb,
    0xc6, 0x38, 0xff, 0xef, 0x7d, 0xff, 0xfa, 0x29, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xfa, 0x6a, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfa, 0x69, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xe1, 0x66, 0xff, 0x9c, 0xd3, 0xff, 0xce, 0x39, 0xff,
    0xc6, 0x38, 0xff, 0xef, 0x5d, 0xff, 0xfa, 0x28, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xfa, 0x8a, 0xff, 0xfb, 0xef, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfc, 0x10, 0xff, 0xfb, 0xef, 0xff, 0xfa, 0x8a, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xe1, 0x65, 0xff, 0x9c, 0xd3, 0xff, 0xce, 0x39, 0xff,
    0xc6, 0x38, 0xff, 0xef, 0x5d, 0xff, 0xfa, 0x28, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf9, 0x45, 0xff, 0xfa, 0xcb, 0xff, 0xfb, 0x0c, 0xff, 0xfb, 0x2d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x4d, 0xff, 0xfb, 0x2d, 0xff, 0xfb, 0x0c, 0xff, 0xfa, 0xcb, 0xff, 0xf9, 0x45, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xe1, 0x65, 0xff, 0x9c, 0xd3, 0xff, 0xce, 0x39, 0xff,
    0xc6, 0x38, 0xff, 0xef, 0x5d, 0xff, 0xfa, 0x28, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x41, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x41, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xe1, 0x65, 0xff, 0x9c, 0xd3, 0xff, 0xce, 0x39, 0xff,
    0xc6, 0x18, 0xff, 0xef, 0x5d, 0xff, 0xfa, 0x08, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xe1, 0x65, 0xff, 0x9c, 0xd3, 0xff, 0xce, 0x39, 0xff,
    0xc6, 0x18, 0xff, 0xef, 0x3d, 0xff, 0xfa, 0x08, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xe1, 0x65, 0xff, 0x9c, 0xd3, 0xff, 0xce, 0x39, 0xff,
    0xc6, 0x18, 0xff, 0xef, 0x3d, 0xff, 0xfa, 0x08, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xe1, 0x65, 0xff, 0x9c, 0xd3, 0xff, 0xce, 0x39, 0xff,
    0xc6, 0x18, 0xff, 0xef, 0x3d, 0xff, 0xfa, 0x08, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xe1, 0x65, 0xff, 0x9c, 0xd3, 0xff, 0xce, 0x39, 0xff,
    0xc6, 0x18, 0xff, 0xe7, 0x3c, 0xff, 0xfa, 0x08, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xe1, 0x65, 0xff, 0x9c, 0xd3, 0xff, 0xce, 0x39, 0xff,
    0xc6, 0x18, 0xff, 0xe7, 0x1c, 0xff, 0xfa, 0x08, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xe1, 0x65, 0xff, 0x9c, 0xd3, 0xff, 0xce, 0x39, 0xff,
    0xc5, 0xf8, 0xff, 0xe7, 0x1c, 0xff, 0xfa, 0x08, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xe1, 0x65, 0xff, 0x9c, 0xd3, 0xff, 0xce, 0x59, 0xff,
    0xbd, 0xf7, 0xff, 0xe7, 0x1c, 0xff, 0xfa, 0x08, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xe1, 0x65, 0xff, 0x9c, 0xd3, 0xff, 0xce, 0x59, 0xff,
    0xbd, 0xf7, 0xff, 0xe7, 0x1c, 0xff, 0xfa, 0x08, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xe1, 0x65, 0xff, 0x9c, 0xd3, 0xff, 0xce, 0x59, 0xff,
    0xbd, 0xd7, 0xff, 0xe6, 0xfc, 0xff, 0xfa, 0x08, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xe1, 0x65, 0xff, 0x9c, 0xd3, 0xff, 0xce, 0x59, 0xff,
    0xbd, 0xd7, 0xff, 0xe6, 0xfc, 0xff, 0xfa, 0x08, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xe1, 0x65, 0xff, 0x9c, 0xd3, 0xff, 0xce, 0x59, 0xff,
    0xbd, 0xb7, 0xff, 0xde, 0xfb, 0xff, 0xfa, 0x08, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xe1, 0x65, 0xff, 0x9c, 0xd3, 0xff, 0xce, 0x59, 0xff,
    0xb5, 0xb6, 0xff, 0xde, 0xfb, 0xff, 0xfa, 0x08, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xe1, 0x65, 0xff, 0x9c, 0xd3, 0xff, 0xce, 0x59, 0xff,
    0xb5, 0x96, 0xff, 0xde, 0xdb, 0xff, 0xf2, 0x08, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xe1, 0x66, 0xff, 0x9c, 0xd3, 0xff, 0xce, 0x59, 0xff,
    0xad, 0x75, 0xfb, 0xd6, 0xba, 0xff, 0xf2, 0xcb, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xd2, 0x08, 0xff, 0x9c, 0xd3, 0xff, 0xce, 0x59, 0xfb,
    0xa5, 0x14, 0xe0, 0xd6, 0x7a, 0xff, 0xdc, 0xb2, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xbb, 0x6e, 0xff, 0x9c, 0xd3, 0xff, 0xd6, 0x9a, 0xdf,
    0x94, 0xb2, 0xa0, 0xce, 0x39, 0xff, 0xce, 0x79, 0xff, 0xf8, 0x82, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x82, 0xff, 0x9c, 0xf3, 0xff, 0x9c, 0xd3, 0xff, 0xe6, 0xfc, 0xa0,
    0x7b, 0xcf, 0x4c, 0xc6, 0x18, 0xff, 0xc6, 0x38, 0xff, 0xdb, 0xcf, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xc2, 0xec, 0xff, 0x9c, 0xf3, 0xff, 0x9c, 0xd3, 0xff, 0xf7, 0xbe, 0x4c,
    0x5a, 0xcb, 0x07, 0x8c, 0x51, 0xff, 0xbd, 0xf7, 0xff, 0xbd, 0xd7, 0xff, 0xe9, 0x24, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf0, 0x00, 0xff, 0xf8, 0x00, 0xff, 0xe0, 0xe4, 0xff, 0x9c, 0xd3, 0xff, 0x94, 0xb2, 0xff, 0xde, 0xfb, 0xff, 0xff, 0xff, 0x07,
    0x00, 0x00, 0x00, 0x6b, 0x4d, 0x47, 0xa5, 0x34, 0xff, 0xb5, 0xb6, 0xff, 0xb5, 0xd7, 0xff, 0xe0, 0xa3, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xe0, 0x00, 0xff, 0xd8, 0xa2, 0xff, 0x9c, 0xf4, 0xff, 0x9c, 0xd3, 0xff, 0xad, 0x75, 0xff, 0xff, 0xff, 0x44, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x6b, 0x6d, 0xa4, 0xad, 0x55, 0xff, 0xb5, 0x76, 0xff, 0xb5, 0x96, 0xff, 0xc9, 0x04, 0xff, 0xd0, 0x41, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x00, 0xff, 0xd0, 0x21, 0xff, 0xc8, 0xe4, 0xff, 0x9c, 0xf3, 0xff, 0x9c, 0xb3, 0xff, 0xa4, 0xf4, 0xff, 0xf7, 0xbe, 0xa4, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7b, 0xcf, 0x9f, 0x9c, 0xf3, 0xff, 0xad, 0x55, 0xff, 0xad, 0x76, 0xff, 0xb3, 0x2d, 0xff, 0xb9, 0x45, 0xff, 0xc0, 0x20, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xc0, 0x00, 0xff, 0xb9, 0x25, 0xff, 0xaa, 0xeb, 0xff, 0x9c, 0xf3, 0xff, 0x9c, 0xd3, 0xff, 0xad, 0x75, 0xff, 0xef, 0x3d, 0x9f, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7b, 0xef, 0x68, 0x8c, 0x51, 0xf3, 0xa5, 0x14, 0xff, 0xa5, 0x75, 0xff, 0xa4, 0xb3, 0xff, 0xab, 0x4d, 0xff, 0xaa, 0xcb, 0xff, 0xaa, 0x29, 0xff, 0xb1, 0x66, 0xff, 0xb1, 0x04, 0xff, 0xb1, 0x04, 0xff, 0xb1, 0x04, 0xff, 0xb1, 0x04, 0xff, 0xb1, 0x04, 0xff, 0xb1, 0x04, 0xff, 0xb1, 0x04, 0xff, 0xb1, 0x04, 0xff, 0xb1, 0x04, 0xff, 0xb1, 0x04, 0xff, 0xb1, 0x04, 0xff, 0xb1, 0x04, 0xff, 0xb1, 0x04, 0xff, 0xb1, 0x04, 0xff, 0xb1, 0x04, 0xff, 0xb1, 0x04, 0xff, 0xb1, 0x04, 0xff, 0xb1, 0x04, 0xff, 0xb1, 0x04, 0xff, 0xb1, 0x04, 0xff, 0xb1, 0x04, 0xff, 0xb1, 0x04, 0xff, 0xb1, 0x04, 0xff, 0xb1, 0x04, 0xff, 0xb1, 0x04, 0xff, 0xb1, 0x04, 0xff, 0xb1, 0x04, 0xff, 0xb1, 0x04, 0xff, 0xb1, 0x04, 0xff, 0xb1, 0x04, 0xff, 0xb0, 0xe4, 0xff, 0xb0, 0xe4, 0xff, 0xa8, 0xe4, 0xff, 0xa8, 0xe4, 0xff, 0xa8, 0xe4, 0xff, 0xa8, 0xe4, 0xff, 0xa8, 0xe4, 0xff, 0xa8, 0xe4, 0xff, 0xa8, 0xe4, 0xff, 0xa8, 0xe4, 0xff, 0xa8, 0xe3, 0xff, 0xa8, 0xe3, 0xff, 0xa8, 0xe3, 0xff, 0xa8, 0xe3, 0xff, 0xa8, 0xe3, 0xff, 0xa8, 0xe3, 0xff, 0xa8, 0xc3, 0xff, 0xa8, 0xc3, 0xff, 0xa8, 0xc3, 0xff, 0xa8, 0xc3, 0xff, 0xa8, 0xc3, 0xff, 0xa8, 0xc3, 0xff, 0xa8, 0xc3, 0xff, 0xa8, 0xc3, 0xff, 0xa8, 0xc3, 0xff, 0xa8, 0xc3, 0xff, 0xa8, 0xa3, 0xff, 0xa8, 0xc3, 0xff, 0xa0, 0xa3, 0xff, 0xa0, 0xa3, 0xff, 0xa0, 0xa3, 0xff, 0xa0, 0xa3, 0xff, 0xa0, 0xa2, 0xff, 0xa0, 0xa2, 0xff, 0xa0, 0xa2, 0xff, 0xa0, 0xa2, 0xff, 0xa0, 0xa3, 0xff, 0xa0, 0xa3, 0xff, 0xa8, 0xc3, 0xff, 0xa8, 0xc3, 0xff, 0xa8, 0xc3, 0xff, 0xa8, 0xc3, 0xff, 0xa8, 0xc3, 0xff, 0xa8, 0xe3, 0xff, 0xa8, 0xe4, 0xff, 0xa8, 0xe4, 0xff, 0xa8, 0xe4, 0xff, 0xa8, 0xe4, 0xff, 0xa8, 0xe4, 0xff, 0xa8, 0xe4, 0xff, 0xa8, 0xe4, 0xff, 0xa8, 0xe4, 0xff, 0xa8, 0xe4, 0xff, 0xa8, 0xe4, 0xff, 0xa8, 0xe4, 0xff, 0xa8, 0xe4, 0xff, 0xa8, 0xe4, 0xff, 0xa8, 0xe4, 0xff, 0xa8, 0xe4, 0xff, 0xa8, 0xe4, 0xff, 0xa8, 0xe4, 0xff, 0xa8, 0xe4, 0xff, 0xa8, 0xe4, 0xff, 0xa9, 0x04, 0xff, 0xa9, 0x45, 0xff, 0xaa, 0x08, 0xff, 0xaa, 0xab, 0xff, 0xa3, 0x0c, 0xff, 0x9c, 0x51, 0xff, 0x94, 0xf3, 0xff, 0x9c, 0xf3, 0xff, 0xce, 0x59, 0xf3, 0xe7, 0x1c, 0x68, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x73, 0x8e, 0x2c, 0x84, 0x10, 0x8b, 0x8c, 0x71, 0xf4, 0x9c, 0xb3, 0xff, 0xa5, 0x14, 0xff, 0xa5, 0x14, 0xff, 0xa4, 0xf3, 0xff, 0xa4, 0xb2, 0xff, 0xa4, 0x92, 0xff, 0xa4, 0x92, 0xff, 0xa4, 0x92, 0xff, 0xa4, 0x92, 0xff, 0xa4, 0x92, 0xff, 0xa4, 0x92, 0xff, 0xa4, 0xb2, 0xff, 0xa4, 0xb2, 0xff, 0xa4, 0xb2, 0xff, 0xa4, 0xb2, 0xff, 0xa4, 0xb2, 0xff, 0xa4, 0xb2, 0xff, 0xa4, 0xb2, 0xff, 0xa4, 0xb2, 0xff, 0xa4, 0xb2, 0xff, 0xa4, 0xb2, 0xff, 0xa4, 0xb2, 0xff, 0xa4, 0xb2, 0xff, 0xa4, 0xb2, 0xff, 0xa4, 0x92, 0xff, 0xa4, 0x92, 0xff, 0xa4, 0x92, 0xff, 0xa4, 0x92, 0xff, 0xa4, 0x92, 0xff, 0xa4, 0x72, 0xff, 0xa4, 0x72, 0xff, 0xa4, 0x72, 0xff, 0x9c, 0x71, 0xff, 0x9c, 0x71, 0xff, 0x9c, 0x71, 0xff, 0x9c, 0x71, 0xff, 0x9c, 0x51, 0xff, 0x9c, 0x51, 0xff, 0x9c, 0x51, 0xff, 0x9c, 0x31, 0xff, 0x9c, 0x31, 0xff, 0x94, 0x30, 0xff, 0x94, 0x10, 0xff, 0x94, 0x10, 0xff, 0x94, 0x10, 0xff, 0x94, 0x10, 0xff, 0x93, 0xf0, 0xff, 0x8b, 0xf0, 0xff, 0x8b, 0xef, 0xff, 0x8b, 0xcf, 0xff, 0x8b, 0xcf, 0xff, 0x8b, 0xcf, 0xff, 0x83, 0xaf, 0xff, 0x83, 0xae, 0xff, 0x83, 0x8e, 0xff, 0x83, 0x8e, 0xff, 0x7b, 0x6e, 0xff, 0x7b, 0x6d, 0xff, 0x7b, 0x4d, 0xff, 0x7b, 0x4d, 0xff, 0x7b, 0x2d, 0xff, 0x73, 0x2c, 0xff, 0x73, 0x2c, 0xff, 0x73, 0x0c, 0xff, 0x72, 0xec, 0xff, 0x6a, 0xeb, 0xff, 0x6a, 0xcb, 0xff, 0x6a, 0xcb, 0xff, 0x6a, 0xeb, 0xff, 0x73, 0x0c, 0xff, 0x73, 0x2c, 0xff, 0x7b, 0x4d, 0xff, 0x7b, 0x6e, 0xff, 0x83, 0x8e, 0xff, 0x8b, 0xaf, 0xff, 0x8b, 0xcf, 0xff, 0x93, 0xf0, 0xff, 0x94, 0x30, 0xff, 0x9c, 0x31, 0xff, 0x9c, 0x51, 0xff, 0x9c, 0x51, 0xff, 0x9c, 0x51, 0xff, 0x9c, 0x51, 0xff, 0x9c, 0x51, 0xff, 0x9c, 0x51, 0xff, 0x9c, 0x51, 0xff, 0x9c, 0x51, 0xff, 0x9c, 0x51, 0xff, 0x9c, 0x51, 0xff, 0x9c, 0x51, 0xff, 0x9c, 0x51, 0xff, 0x9c, 0x51, 0xff, 0x9c, 0x51, 0xff, 0x9c, 0x51, 0xff, 0x9c, 0x51, 0xff, 0x9c, 0x51, 0xff, 0x9c, 0x51, 0xff, 0x9c, 0x51, 0xff, 0x9c, 0x51, 0xff, 0x9c, 0x51, 0xff, 0x94, 0x92, 0xff, 0x94, 0x92, 0xff, 0x94, 0xb2, 0xff, 0xad, 0x75, 0xff, 0xc6, 0x38, 0xf3, 0xde, 0xfb, 0x88, 0xff, 0xff, 0x2c, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x6b, 0x6d, 0x04, 0x8c, 0x31, 0x0c, 0x83, 0xf0, 0x47, 0x84, 0x10, 0xb8, 0x8c, 0x71, 0xeb, 0x94, 0x92, 0xf8, 0x94, 0xb2, 0xff, 0x94, 0xb3, 0xff, 0x9c, 0xb3, 0xff, 0x9c, 0xd3, 0xff, 0x9c, 0xd3, 0xff, 0x9c, 0xd3, 0xff, 0x9c, 0xf3, 0xff, 0x9c, 0xf3, 0xff, 0x9c, 0xf4, 0xff, 0xa5, 0x14, 0xff, 0xa5, 0x14, 0xff, 0xa5, 0x14, 0xff, 0xa5, 0x14, 0xff, 0xa5, 0x14, 0xff, 0xa5, 0x34, 0xff, 0xa5, 0x34, 0xff, 0xa5, 0x35, 0xff, 0xa5, 0x35, 0xff, 0xad, 0x35, 0xff, 0xad, 0x35, 0xff, 0xad, 0x55, 0xff, 0xad, 0x55, 0xff, 0xad, 0x55, 0xff, 0xad, 0x55, 0xff, 0xad, 0x55, 0xff, 0xad, 0x55, 0xff, 0xad, 0x55, 0xff, 0xad, 0x55, 0xff, 0xad, 0x55, 0xff, 0xad, 0x55, 0xff, 0xad, 0x55, 0xff, 0xad, 0x55, 0xff, 0xad, 0x55, 0xff, 0xad, 0x55, 0xff, 0xad, 0x55, 0xff, 0xa5, 0x35, 0xff, 0xa5, 0x35, 0xff, 0xa5, 0x34, 0xff, 0xa5, 0x34, 0xff, 0xa5, 0x14, 0xff, 0xa5, 0x14, 0xff, 0xa5, 0x14, 0xff, 0xa5, 0x14, 0xff, 0xa4, 0xf4, 0xff, 0xa4, 0xf4, 0xff, 0xa4, 0xf4, 0xff, 0x9c, 0xf3, 0xff, 0x9c, 0xd3, 0xff, 0x9c, 0xd3, 0xff, 0x9c, 0xd3, 0xff, 0x9c, 0xd3, 0xff, 0x9c, 0xb3, 0xff, 0x94, 0xb3, 0xff, 0x94, 0xb2, 0xff, 0x94, 0x92, 0xff, 0x94, 0x92, 0xff, 0x94, 0x92, 0xff, 0x94, 0x72, 0xff, 0x8c, 0x72, 0xff, 0x8c, 0x71, 0xff, 0x8c, 0x51, 0xff, 0x8c, 0x51, 0xff, 0x94, 0x72, 0xff, 0x94, 0x92, 0xff, 0x94, 0xb2, 0xff, 0x9c, 0xd3, 0xff, 0x9c, 0xd3, 0xff, 0xa4, 0xf4, 0xff, 0xa5, 0x14, 0xff, 0xad, 0x35, 0xff, 0xad, 0x55, 0xff, 0xad, 0x75, 0xff, 0xb5, 0x96, 0xff, 0xb5, 0x96, 0xff, 0xb5, 0x96, 0xff, 0xb5, 0x96, 0xff, 0xb5, 0x96, 0xff, 0xb5, 0x96, 0xff, 0xb5, 0x96, 0xff, 0xb5, 0x96, 0xff, 0xb5, 0x96, 0xff, 0xb5, 0x96, 0xff, 0xb5, 0x96, 0xff, 0xb5, 0x96, 0xff, 0xb5, 0x96, 0xff, 0xb5, 0x96, 0xff, 0xb5, 0x96, 0xff, 0xb5, 0x96, 0xff, 0xb5, 0x96, 0xff, 0xb5, 0x96, 0xff, 0xb5, 0x96, 0xff, 0xb5, 0x96, 0xff, 0xb5, 0x96, 0xff, 0xb5, 0xb6, 0xff, 0xb5, 0xb6, 0xff, 0xb5, 0xb6, 0xff, 0xbd, 0xf7, 0xf8, 0xd6, 0x9a, 0xeb, 0xf7, 0x9e, 0xb8, 0xf7, 0x9e, 0x47, 0xde, 0xbb, 0x0c, 0xff, 0xff, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
#endif
#if LV_COLOR_DEPTH == 32
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x81, 0x81, 0x81, 0x04, 0x9d, 0x9d, 0x9d, 0x13, 0xa7, 0xa7, 0xa7, 0x47, 0xb7, 0xb7, 0xb8, 0x8c, 0xb9, 0xb9, 0xb8, 0xcb, 0xc1, 0xc1, 0xc0, 0xef, 0xc3, 0xc3, 0xc3, 0xff, 0xc2, 0xc2, 0xc1, 0xff, 0xc0, 0xc0, 0xbf, 0xff, 0xbd, 0xbd, 0xbc, 0xff, 0xbb, 0xbb, 0xbb, 0xff, 0xb9, 0xb9, 0xb9, 0xff, 0xb7, 0xb7, 0xb7, 0xff, 0xb8, 0xb8, 0xb8, 0xff, 0xba, 0xba, 0xba, 0xff, 0xbc, 0xbc, 0xbc, 0xff, 0xbe, 0xbe, 0xbe, 0xff, 0xbf, 0xbf, 0xbf, 0xff, 0xc1, 0xc1, 0xc0, 0xff, 0xc3, 0xc3, 0xc2, 0xff, 0xc4, 0xc4, 0xc3, 0xff, 0xc5, 0xc5, 0xc4, 0xff, 0xc6, 0xc6, 0xc5, 0xff, 0xc8, 0xc8, 0xc7, 0xff, 0xc9, 0xc9, 0xc8, 0xff, 0xc9, 0xc9, 0xc9, 0xff, 0xca, 0xca, 0xca, 0xff, 0xcb, 0xcb, 0xcb, 0xff, 0xcc, 0xcc, 0xcc, 0xff, 0xce, 0xce, 0xcd, 0xff, 0xcf, 0xcf, 0xce, 0xff, 0xcf, 0xcf, 0xce, 0xff, 0xd1, 0xd1, 0xd0, 0xff, 0xd2, 0xd2, 0xd1, 0xff, 0xd3, 0xd3, 0xd2, 0xff, 0xd4, 0xd4, 0xd3, 0xff, 0xd4, 0xd4, 0xd4, 0xff, 0xd5, 0xd5, 0xd5, 0xff, 0xd7, 0xd7, 0xd7, 0xff, 0xd7, 0xd7, 0xd7, 0xff, 0xd8, 0xd8, 0xd7, 0xff, 0xda, 0xda, 0xd9, 0xff, 0xdb, 0xdb, 0xda, 0xff, 0xdc, 0xdc, 0xdb, 0xff, 0xdd, 0xdd, 0xdc, 0xff, 0xde, 0xde, 0xdd, 0xff, 0xdf, 0xdf, 0xde, 0xff, 0xe0, 0xe0, 0xe0, 0xff, 0xe0, 0xe0, 0xe0, 0xff, 0xe2, 0xe2, 0xe2, 0xff, 0xe2, 0xe2, 0xe2, 0xff, 0xe4, 0xe4, 0xe3, 0xff, 0xe4, 0xe4, 0xe3, 0xff, 0xe3, 0xe3, 0xe2, 0xff, 0xe3, 0xe3, 0xe2, 0xff, 0xe3, 0xe3, 0xe2, 0xff, 0xe3, 0xe3, 0xe2, 0xff, 0xe3, 0xe3, 0xe2, 0xff, 0xe3, 0xe3, 0xe2, 0xff, 0xe2, 0xe2, 0xe1, 0xff, 0xe3, 0xe3, 0xe2, 0xff, 0xe2, 0xe2, 0xe1, 0xff, 0xe3, 0xe3, 0xe2, 0xff, 0xe3, 0xe3, 0xe2, 0xff, 0xe2, 0xe2, 0xe1, 0xff, 0xe2, 0xe2, 0xe1, 0xff, 0xe2, 0xe2, 0xe1, 0xff, 0xe1, 0xe1, 0xe1, 0xff, 0xe1, 0xe1, 0xe1, 0xff, 0xe0, 0xe0, 0xe0, 0xff, 0xe0, 0xe0, 0xe0, 0xff, 0xe0, 0xe0, 0xe0, 0xff, 0xe0, 0xe0, 0xe0, 0xff, 0xe0, 0xe0, 0xe0, 0xff, 0xe0, 0xe0, 0xe0, 0xff, 0xe0, 0xe0, 0xe0, 0xff, 0xe0, 0xe0, 0xe0, 0xff, 0xe0, 0xe0, 0xe0, 0xff, 0xde, 0xde, 0xde, 0xff, 0xdd, 0xdd, 0xdc, 0xff, 0xdb, 0xdb, 0xda, 0xff, 0xd9, 0xd9, 0xd8, 0xff, 0xd7, 0xd7, 0xd6, 0xff, 0xd5, 0xd5, 0xd4, 0xff, 0xd2, 0xd2, 0xd2, 0xff, 0xd0, 0xd0, 0xd0, 0xff, 0xce, 0xce, 0xce, 0xff, 0xcd, 0xcd, 0xcc, 0xff, 0xcb, 0xcb, 0xca, 0xff, 0xc9, 0xc9, 0xc8, 0xff, 0xc7, 0xc7, 0xc6, 0xff, 0xc4, 0xc4, 0xc4, 0xff, 0xc2, 0xc2, 0xc2, 0xff, 0xc0, 0xc0, 0xc0, 0xff, 0xbe, 0xbe, 0xbe, 0xff, 0xbc, 0xbc, 0xbb, 0xff, 0xba, 0xba, 0xb9, 0xff, 0xb9, 0xb9, 0xb8, 0xff, 0xb6, 0xb6, 0xb5, 0xff, 0xb4, 0xb4, 0xb4, 0xff, 0xb2, 0xb2, 0xb2, 0xff, 0xb0, 0xb0, 0xb0, 0xff, 0xb4, 0xb4, 0xb4, 0xef, 0xbe, 0xbe, 0xbe, 0xc8, 0xc4, 0xc4, 0xc4, 0x8c, 0xdc, 0xdc, 0xdc, 0x44, 0xd9, 0xd9, 0xd9, 0x13, 0xff, 0xff, 0xff, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xa7, 0xa7, 0xa7, 0x28, 0xb6, 0xb6, 0xb6, 0x7b, 0xc3, 0xc3, 0xc3, 0xff, 0xf1, 0xf1, 0xf0, 0xff, 0xfd, 0xfd, 0xf5, 0xff, 0xf9, 0xf9, 0xf9, 0xff, 0xe8, 0xe8, 0xf9, 0xff, 0xde, 0xde, 0xfb, 0xff, 0xd9, 0xd9, 0xfb, 0xff, 0xda, 0xda, 0xfc, 0xff, 0xdb, 0xdb, 0xfe, 0xff, 0xda, 0xda, 0xfe, 0xff, 0xd9, 0xd9, 0xff, 0xff, 0xd8, 0xd8, 0xff, 0xff, 0xd9, 0xd9, 0xff, 0xff, 0xda, 0xda, 0xff, 0xff, 0xda, 0xda, 0xff, 0xff, 0xda, 0xda, 0xff, 0xff, 0xdb, 0xdb, 0xff, 0xff, 0xdb, 0xdb, 0xff, 0xff, 0xdc, 0xdc, 0xff, 0xff, 0xdc, 0xdc, 0xff, 0xff, 0xdb, 0xdb, 0xff, 0xff, 0xdb, 0xdb, 0xff, 0xff, 0xda, 0xda, 0xff, 0xff, 0xda, 0xda, 0xff, 0xff, 0xd9, 0xd9, 0xff, 0xff, 0xd8, 0xd8, 0xfe, 0xff, 0xd8, 0xd8, 0xfe, 0xff, 0xd6, 0xd6, 0xfd, 0xff, 0xd6, 0xd6, 0xfd, 0xff, 0xd5, 0xd5, 0xfc, 0xff, 0xd5, 0xd5, 0xfb, 0xff, 0xd4, 0xd4, 0xfb, 0xff, 0xd3, 0xd3, 0xfa, 0xff, 0xd3, 0xd3, 0xfa, 0xff, 0xd2, 0xd2, 0xf9, 0xff, 0xd1, 0xd1, 0xf8, 0xff, 0xd1, 0xd1, 0xf8, 0xff, 0xd0, 0xd0, 0xf7, 0xff, 0xcf, 0xcf, 0xf6, 0xff, 0xcf, 0xcf, 0xf6, 0xff, 0xce, 0xce, 0xf5, 0xff, 0xcd, 0xcd, 0xf4, 0xff, 0xcd, 0xcd, 0xf4, 0xff, 0xcc, 0xcc, 0xf3, 0xff, 0xcc, 0xcc, 0xf2, 0xff, 0xcb, 0xcb, 0xf1, 0xff, 0xca, 0xca, 0xf0, 0xff, 0xca, 0xca, 0xf0, 0xff, 0xc9, 0xc9, 0xef, 0xff, 0xc8, 0xc8, 0xee, 0xff, 0xc7, 0xc7, 0xee, 0xff, 0xc7, 0xc7, 0xed, 0xff, 0xc6, 0xc6, 0xed, 0xff, 0xc6, 0xc6, 0xed, 0xff, 0xc5, 0xc5, 0xeb, 0xff, 0xc4, 0xc4, 0xeb, 0xff, 0xc4, 0xc4, 0xeb, 0xff, 0xc3, 0xc3, 0xea, 0xff, 0xc2, 0xc2, 0xe9, 0xff, 0xc2, 0xc2, 0xe9, 0xff, 0xc1, 0xc1, 0xe8, 0xff, 0xc0, 0xc0, 0xe7, 0xff, 0xc0, 0xc0, 0xe7, 0xff, 0xbf, 0xbf, 0xe6, 0xff, 0xbe, 0xbe, 0xe5, 0xff, 0xbe, 0xbe, 0xe5, 0xff, 0xbd, 0xbd, 0xe4, 0xff, 0xbd, 0xbd, 0xe4, 0xff, 0xbd, 0xbd, 0xe3, 0xff, 0xbc, 0xbc, 0xe2, 0xff, 0xbc, 0xbc, 0xe2, 0xff, 0xbb, 0xbb, 0xe1, 0xff, 0xbb, 0xbb, 0xe1, 0xff, 0xba, 0xba, 0xe0, 0xff, 0xb9, 0xb9, 0xe0, 0xff, 0xb9, 0xb9, 0xe0, 0xff, 0xb8, 0xb8, 0xdf, 0xff, 0xb6, 0xb6, 0xdd, 0xff, 0xb3, 0xb3, 0xd9, 0xff, 0xaf, 0xaf, 0xd6, 0xff, 0xaa, 0xaa, 0xd1, 0xff, 0xa7, 0xa7, 0xcd, 0xff, 0xa4, 0xa4, 0xcb, 0xff, 0x9f, 0x9f, 0xc6, 0xff, 0x9c, 0x9c, 0xc3, 0xff, 0x98, 0x98, 0xbf, 0xff, 0x95, 0x95, 0xbb, 0xff, 0x91, 0x91, 0xb8, 0xff, 0x8d, 0x8d, 0xb4, 0xff, 0x8a, 0x8a, 0xb0, 0xff, 0x86, 0x86, 0xad, 0xff, 0x83, 0x83, 0xa9, 0xff, 0x7f, 0x7f, 0xa6, 0xff, 0x7b, 0x7b, 0xa2, 0xff, 0x78, 0x78, 0x9f, 0xff, 0x76, 0x76, 0x9b, 0xff, 0x74, 0x74, 0x97, 0xff, 0x71, 0x71, 0x94, 0xff, 0x6e, 0x6e, 0x90, 0xff, 0x6a, 0x6a, 0x8c, 0xff, 0x69, 0x69, 0x86, 0xff, 0x69, 0x69, 0x7b, 0xff, 0x6f, 0x6f, 0x6e, 0xff, 0x70, 0x70, 0x68, 0xff, 0x70, 0x70, 0x6e, 0xff, 0xb1, 0xb1, 0xb1, 0xff, 0xc7, 0xc7, 0xc7, 0x7b, 0xe2, 0xe2, 0xe2, 0x28, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xa8, 0xa8, 0xa8, 0x6f, 0xcf, 0xcf, 0xcf, 0xeb, 0xea, 0xea, 0xe9, 0xff, 0xff, 0xff, 0xf9, 0xff, 0xe9, 0xe9, 0xf4, 0xff, 0xae, 0xae, 0xf7, 0xff, 0x7f, 0x7f, 0xfa, 0xff, 0x4f, 0x4f, 0xfc, 0xff, 0x32, 0x32, 0xfd, 0xff, 0x26, 0x26, 0xfe, 0xff, 0x24, 0x24, 0xfe, 0xff, 0x1f, 0x1f, 0xfe, 0xff, 0x2c, 0x2c, 0xfe, 0xff, 0x40, 0x40, 0xfe, 0xff, 0x4a, 0x4a, 0xfe, 0xff, 0x4c, 0x4c, 0xff, 0xff, 0x4c, 0x4c, 0xff, 0xff, 0x4c, 0x4c, 0xff, 0xff, 0x4c, 0x4c, 0xff, 0xff, 0x4c, 0x4c, 0xfe, 0xff, 0x4c, 0x4c, 0xfe, 0xff, 0x4c, 0x4c, 0xff, 0xff, 0x4c, 0x4c, 0xff, 0xff, 0x4c, 0x4c, 0xff, 0xff, 0x4c, 0x4c, 0xfe, 0xff, 0x4c, 0x4c, 0xff, 0xff, 0x4c, 0x4c, 0xff, 0xff, 0x4c, 0x4c, 0xff, 0xff, 0x4c, 0x4c, 0xff, 0xff, 0x4c, 0x4c, 0xff, 0xff, 0x4b, 0x4b, 0xfe, 0xff, 0x4b, 0x4b, 0xfe, 0xff, 0x4b, 0x4b, 0xfe, 0xff, 0x4b, 0x4b, 0xfe, 0xff, 0x4b, 0x4b, 0xfe, 0xff, 0x4b, 0x4b, 0xfe, 0xff, 0x4b, 0x4b, 0xfe, 0xff, 0x4b, 0x4b, 0xfe, 0xff, 0x4a, 0x4a, 0xfe, 0xff, 0x4a, 0x4a, 0xfd, 0xff, 0x4a, 0x4a, 0xfd, 0xff, 0x4a, 0x4a, 0xfd, 0xff, 0x4a, 0x4a, 0xfd, 0xff, 0x4a, 0x4a, 0xfd, 0xff, 0x4a, 0x4a, 0xfd, 0xff, 0x4a, 0x4a, 0xfd, 0xff, 0x4a, 0x4a, 0xfd, 0xff, 0x4a, 0x4a, 0xfc, 0xff, 0x49, 0x49, 0xfc, 0xff, 0x49, 0x49, 0xfc, 0xff, 0x49, 0x49, 0xfc, 0xff, 0x4a, 0x4a, 0xfc, 0xff, 0x4a, 0x4a, 0xfc, 0xff, 0x49, 0x49, 0xfc, 0xff, 0x49, 0x49, 0xfc, 0xff, 0x49, 0x49, 0xfc, 0xff, 0x49, 0x49, 0xfc, 0xff, 0x49, 0x49, 0xfb, 0xff, 0x49, 0x49, 0xfb, 0xff, 0x49, 0x49, 0xfb, 0xff, 0x49, 0x49, 0xfc, 0xff, 0x49, 0x49, 0xfb, 0xff, 0x49, 0x49, 0xfb, 0xff, 0x48, 0x48, 0xfb, 0xff, 0x48, 0x48, 0xfb, 0xff, 0x48, 0x48, 0xfb, 0xff, 0x48, 0x48, 0xfb, 0xff, 0x48, 0x48, 0xfb, 0xff, 0x48, 0x48, 0xfb, 0xff, 0x48, 0x48, 0xfb, 0xff, 0x48, 0x48, 0xfb, 0xff, 0x48, 0x48, 0xfa, 0xff, 0x47, 0x47, 0xfa, 0xff, 0x47, 0x47, 0xfa, 0xff, 0x47, 0x47, 0xfa, 0xff, 0x47, 0x47, 0xfa, 0xff, 0x47, 0x47, 0xfa, 0xff, 0x47, 0x47, 0xfa, 0xff, 0x47, 0x47, 0xfa, 0xff, 0x47, 0x47, 0xfa, 0xff, 0x46, 0x46, 0xf9, 0xff, 0x46, 0x46, 0xf8, 0xff, 0x45, 0x45, 0xf8, 0xff, 0x45, 0x45, 0xf8, 0xff, 0x44, 0x44, 0xf7, 0xff, 0x43, 0x43, 0xf6, 0xff, 0x42, 0x42, 0xf6, 0xff, 0x42, 0x42, 0xf5, 0xff, 0x42, 0x42, 0xf4, 0xff, 0x41, 0x41, 0xf3, 0xff, 0x40, 0x40, 0xf3, 0xff, 0x40, 0x40, 0xf3, 0xff, 0x3f, 0x3f, 0xf2, 0xff, 0x3e, 0x3e, 0xf1, 0xff, 0x3e, 0x3e, 0xf1, 0xff, 0x3d, 0x3d, 0xf0, 0xff, 0x3d, 0x3d, 0xf0, 0xff, 0x3b, 0x3b, 0xef, 0xff, 0x30, 0x30, 0xee, 0xff, 0x1c, 0x1c, 0xee, 0xff, 0x0e, 0x0e, 0xed, 0xff, 0x13, 0x13, 0xec, 0xff, 0x14, 0x14, 0xeb, 0xff, 0x18, 0x18, 0xe5, 0xff, 0x26, 0x26, 0xd3, 0xff, 0x3b, 0x3b, 0xb7, 0xff, 0x4f, 0x4f, 0x97, 0xff, 0x64, 0x64, 0x71, 0xff, 0x62, 0x62, 0x55, 0xff, 0x78, 0x78, 0x78, 0xff, 0xa5, 0xa5, 0xa5, 0xe8, 0xde, 0xde, 0xde, 0x6f, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xab, 0xab, 0xab, 0xa8, 0xd8, 0xd8, 0xd8, 0xff, 0xf6, 0xf6, 0xf3, 0xff, 0xff, 0xff, 0xf2, 0xff, 0x78, 0x78, 0xf8, 0xff, 0x42, 0x42, 0xfb, 0xff, 0x0a, 0x0a, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x48, 0x48, 0xff, 0xff, 0x5a, 0x5a, 0xff, 0xff, 0x6d, 0x6d, 0xff, 0xff, 0x77, 0x77, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x79, 0x79, 0xff, 0xff, 0x79, 0x79, 0xff, 0xff, 0x79, 0x79, 0xff, 0xff, 0x79, 0x79, 0xff, 0xff, 0x79, 0x79, 0xff, 0xff, 0x79, 0x79, 0xff, 0xff, 0x79, 0x79, 0xff, 0xff, 0x79, 0x79, 0xff, 0xff, 0x79, 0x79, 0xff, 0xff, 0x79, 0x79, 0xff, 0xff, 0x79, 0x79, 0xff, 0xff, 0x79, 0x79, 0xff, 0xff, 0x79, 0x79, 0xff, 0xff, 0x79, 0x79, 0xff, 0xff, 0x79, 0x79, 0xff, 0xff, 0x78, 0x78, 0xff, 0xff, 0x6e, 0x6e, 0xff, 0xff, 0x5b, 0x5b, 0xff, 0xff, 0x4a, 0x4a, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x04, 0x04, 0xf9, 0xff, 0x1d, 0x1d, 0xd6, 0xff, 0x33, 0x33, 0xb3, 0xff, 0x6f, 0x6f, 0x62, 0xff, 0x6f, 0x6f, 0x6d, 0xff, 0x9b, 0x9b, 0x9b, 0xff, 0xdd, 0xdd, 0xdd, 0xa8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xa7, 0xa7, 0xa7, 0xa0, 0xe7, 0xe7, 0xe7, 0xff, 0xf1, 0xf1, 0xf1, 0xff, 0xe7, 0xe7, 0xf2, 0xff, 0x40, 0x40, 0xfc, 0xff, 0x04, 0x04, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x81, 0x81, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x81, 0x81, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x02, 0x02, 0xfd, 0xff, 0x1c, 0x1c, 0xd8, 0xff, 0x6e, 0x6e, 0x79, 0xff, 0x79, 0x79, 0x78, 0xff, 0x8f, 0x8f, 0x8f, 0xff, 0xe4, 0xe4, 0xe4, 0x9f, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x94, 0x94, 0x94, 0x3c, 0xde, 0xde, 0xde, 0xff, 0xef, 0xef, 0xef, 0xff, 0xed, 0xed, 0xf1, 0xff, 0x1c, 0x1c, 0xfe, 0xff, 0x01, 0x01, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x71, 0x71, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x70, 0x70, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x0e, 0x0e, 0xef, 0xff, 0x7a, 0x7a, 0x7c, 0xff, 0x83, 0x83, 0x83, 0xff, 0x9f, 0x9f, 0x9f, 0xff, 0xfc, 0xfc, 0xfc, 0x3c, 0x00, 0x00, 0x00, 0x00,
    0x74, 0x74, 0x74, 0x07, 0xb6, 0xb6, 0xb6, 0xff, 0xf2, 0xf2, 0xf2, 0xff, 0xf0, 0xf0, 0xef, 0xff, 0x21, 0x21, 0xfd, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x1f, 0x1f, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x1f, 0x1f, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x12, 0x12, 0xed, 0xff, 0x85, 0x85, 0x83, 0xff, 0x88, 0x88, 0x88, 0xff, 0xd5, 0xd5, 0xd5, 0xff, 0xff, 0xff, 0xff, 0x07,
    0x9f, 0x9f, 0x9f, 0x4c, 0xed, 0xed, 0xed, 0xff, 0xf2, 0xf2, 0xed, 0xff, 0x92, 0x92, 0xf5, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x44, 0x44, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x44, 0x44, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x52, 0x52, 0xb5, 0xff, 0x8f, 0x8f, 0x8b, 0xff, 0x96, 0x96, 0x96, 0xff, 0xf1, 0xf1, 0xf1, 0x4c,
    0xb3, 0xb3, 0xb3, 0xa0, 0xed, 0xed, 0xed, 0xff, 0xf0, 0xf0, 0xed, 0xff, 0x17, 0x17, 0xfd, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x53, 0x53, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x53, 0x53, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x0d, 0x0d, 0xf4, 0xff, 0x90, 0x90, 0x8e, 0xff, 0x95, 0x95, 0x95, 0xff, 0xda, 0xda, 0xda, 0xa0,
    0xbc, 0xbc, 0xbc, 0xe0, 0xec, 0xec, 0xec, 0xff, 0xa8, 0xa8, 0xf2, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x3d, 0x3d, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x3c, 0x3c, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x68, 0x68, 0xb1, 0xff, 0x98, 0x98, 0x98, 0xff, 0xcf, 0xcf, 0xcf, 0xdf,
    0xc3, 0xc3, 0xc3, 0xfb, 0xeb, 0xeb, 0xeb, 0xff, 0x62, 0x62, 0xf8, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x16, 0x16, 0xff, 0xff, 0x82, 0x82, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x82, 0x82, 0xff, 0xff, 0x16, 0x16, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x3e, 0x3e, 0xd2, 0xff, 0x98, 0x98, 0x98, 0xff, 0xc7, 0xc7, 0xc7, 0xfb,
    0xc4, 0xc4, 0xc4, 0xff, 0xeb, 0xeb, 0xeb, 0xff, 0x45, 0x45, 0xf9, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x4d, 0x4d, 0xff, 0xff, 0x82, 0x82, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x7f, 0x7f, 0xff, 0xff, 0x82, 0x82, 0xff, 0xff, 0x4c, 0x4c, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x2d, 0x2d, 0xe0, 0xff, 0x98, 0x98, 0x98, 0xff, 0xc6, 0xc6, 0xc6, 0xff,
    0xc4, 0xc4, 0xc4, 0xff, 0xea, 0xea, 0xea, 0xff, 0x43, 0x43, 0xf9, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x50, 0x50, 0xff, 0xff, 0x7b, 0x7b, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x80, 0x80, 0xff, 0xff, 0x7b, 0x7b, 0xff, 0xff, 0x50, 0x50, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x2c, 0x2c, 0xe2, 0xff, 0x98, 0x98, 0x98, 0xff, 0xc6, 0xc6, 0xc6, 0xff,
    0xc4, 0xc4, 0xc4, 0xff, 0xea, 0xea, 0xea, 0xff, 0x43, 0x43, 0xf9, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x29, 0x29, 0xff, 0xff, 0x58, 0x58, 0xff, 0xff, 0x5f, 0x5f, 0xff, 0xff, 0x66, 0x66, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x67, 0x67, 0xff, 0xff, 0x66, 0x66, 0xff, 0xff, 0x5f, 0x5f, 0xff, 0xff, 0x58, 0x58, 0xff, 0xff, 0x29, 0x29, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x2c, 0x2c, 0xe1, 0xff, 0x98, 0x98, 0x98, 0xff, 0xc6, 0xc6, 0xc6, 0xff,
    0xc3, 0xc3, 0xc3, 0xff, 0xe8, 0xe8, 0xe8, 0xff, 0x43, 0x43, 0xf9, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x07, 0x07, 0xff, 0xff, 0x10, 0x10, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x11, 0x11, 0xff, 0xff, 0x10, 0x10, 0xff, 0xff, 0x07, 0x07, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x2c, 0x2c, 0xe1, 0xff, 0x98, 0x98, 0x98, 0xff, 0xc6, 0xc6, 0xc6, 0xff,
    0xc2, 0xc2, 0xc2, 0xff, 0xe7, 0xe7, 0xe7, 0xff, 0x42, 0x42, 0xf9, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x2c, 0x2c, 0xe1, 0xff, 0x98, 0x98, 0x98, 0xff, 0xc6, 0xc6, 0xc6, 0xff,
    0xc2, 0xc2, 0xc2, 0xff, 0xe6, 0xe6, 0xe6, 0xff, 0x42, 0x42, 0xf8, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x2c, 0x2c, 0xe1, 0xff, 0x98, 0x98, 0x98, 0xff, 0xc6, 0xc6, 0xc6, 0xff,
    0xc1, 0xc1, 0xc1, 0xff, 0xe6, 0xe6, 0xe6, 0xff, 0x42, 0x42, 0xf8, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x2c, 0x2c, 0xe1, 0xff, 0x98, 0x98, 0x98, 0xff, 0xc6, 0xc6, 0xc6, 0xff,
    0xc1, 0xc1, 0xc1, 0xff, 0xe5, 0xe5, 0xe5, 0xff, 0x42, 0x42, 0xf8, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x2c, 0x2c, 0xe1, 0xff, 0x98, 0x98, 0x98, 0xff, 0xc6, 0xc6, 0xc6, 0xff,
    0xc1, 0xc1, 0xc1, 0xff, 0xe4, 0xe4, 0xe4, 0xff, 0x42, 0x42, 0xf7, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x2c, 0x2c, 0xe1, 0xff, 0x98, 0x98, 0x98, 0xff, 0xc6, 0xc6, 0xc6, 0xff,
    0xbf, 0xbf, 0xbf, 0xff, 0xe2, 0xe2, 0xe2, 0xff, 0x41, 0x41, 0xf7, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x2c, 0x2c, 0xe1, 0xff, 0x98, 0x98, 0x98, 0xff, 0xc6, 0xc6, 0xc6, 0xff,
    0xbd, 0xbd, 0xbd, 0xff, 0xe1, 0xe1, 0xe1, 0xff, 0x41, 0x41, 0xf7, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x2c, 0x2c, 0xe1, 0xff, 0x98, 0x98, 0x98, 0xff, 0xc7, 0xc7, 0xc7, 0xff,
    0xbc, 0xbc, 0xbc, 0xff, 0xe1, 0xe1, 0xe1, 0xff, 0x41, 0x41, 0xf6, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x2c, 0x2c, 0xe1, 0xff, 0x98, 0x98, 0x98, 0xff, 0xc7, 0xc7, 0xc7, 0xff,
    0xbb, 0xbb, 0xbb, 0xff, 0xe0, 0xe0, 0xe0, 0xff, 0x40, 0x40, 0xf6, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x2c, 0x2c, 0xe1, 0xff, 0x98, 0x98, 0x98, 0xff, 0xc7, 0xc7, 0xc7, 0xff,
    0xb9, 0xb9, 0xb9, 0xff, 0xde, 0xde, 0xde, 0xff, 0x40, 0x40, 0xf6, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x2c, 0x2c, 0xe1, 0xff, 0x98, 0x98, 0x98, 0xff, 0xc7, 0xc7, 0xc7, 0xff,
    0xb7, 0xb7, 0xb7, 0xff, 0xde, 0xde, 0xde, 0xff, 0x40, 0x40, 0xf6, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x2c, 0x2c, 0xe1, 0xff, 0x98, 0x98, 0x98, 0xff, 0xc7, 0xc7, 0xc7, 0xff,
    0xb5, 0xb5, 0xb5, 0xff, 0xdc, 0xdc, 0xdc, 0xff, 0x3f, 0x3f, 0xf5, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x2c, 0x2c, 0xe1, 0xff, 0x98, 0x98, 0x98, 0xff, 0xc7, 0xc7, 0xc7, 0xff,
    0xb3, 0xb3, 0xb3, 0xff, 0xdb, 0xdb, 0xdb, 0xff, 0x3f, 0x3f, 0xf5, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x2c, 0x2c, 0xe1, 0xff, 0x98, 0x98, 0x98, 0xff, 0xc7, 0xc7, 0xc7, 0xff,
    0xb2, 0xb2, 0xb2, 0xff, 0xda, 0xda, 0xda, 0xff, 0x40, 0x40, 0xf4, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x2d, 0x2d, 0xe0, 0xff, 0x98, 0x98, 0x98, 0xff, 0xc7, 0xc7, 0xc7, 0xff,
    0xab, 0xab, 0xab, 0xfb, 0xd4, 0xd4, 0xd4, 0xff, 0x59, 0x59, 0xee, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x40, 0x40, 0xd4, 0xff, 0x98, 0x98, 0x98, 0xff, 0xc9, 0xc9, 0xc9, 0xfb,
    0xa0, 0xa0, 0xa0, 0xe0, 0xce, 0xce, 0xce, 0xff, 0x94, 0x94, 0xdc, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x6e, 0x6e, 0xb5, 0xff, 0x98, 0x98, 0x98, 0xff, 0xd1, 0xd1, 0xd1, 0xdf,
    0x93, 0x93, 0x93, 0xa0, 0xc6, 0xc6, 0xc6, 0xff, 0xcc, 0xcc, 0xc7, 0xff, 0x12, 0x12, 0xfa, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x0f, 0x0f, 0xf5, 0xff, 0x9b, 0x9b, 0x95, 0xff, 0x98, 0x98, 0x98, 0xff, 0xdd, 0xdd, 0xdd, 0xa0,
    0x7a, 0x7a, 0x7a, 0x4c, 0xbf, 0xbf, 0xbf, 0xff, 0xc4, 0xc4, 0xc0, 0xff, 0x77, 0x77, 0xd9, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x00, 0x00, 0xff, 0xff, 0x5e, 0x5e, 0xbf, 0xff, 0x9b, 0x9b, 0x97, 0xff, 0x98, 0x98, 0x98, 0xff, 0xf4, 0xf4, 0xf4, 0x4c,
    0x57, 0x57, 0x57, 0x07, 0x88, 0x88, 0x88, 0xff, 0xbb, 0xbb, 0xbc, 0xff, 0xb9, 0xb9, 0xbb, 0xff, 0x23, 0x23, 0xea, 0xff, 0x00, 0x00, 0xf4, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf3, 0xff, 0x00, 0x00, 0xf5, 0xff, 0x1d, 0x1d, 0xe2, 0xff, 0x97, 0x97, 0x99, 0xff, 0x94, 0x94, 0x94, 0xff, 0xdc, 0xdc, 0xdc, 0xff, 0xff, 0xff, 0xff, 0x07,
    0x00, 0x00, 0x00, 0x00, 0x68, 0x68, 0x68, 0x47, 0xa4, 0xa4, 0xa4, 0xff, 0xb3, 0xb3, 0xb3, 0xff, 0xba, 0xba, 0xb3, 0xff, 0x16, 0x16, 0xdd, 0xff, 0x00, 0x00, 0xe2, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe1, 0xff, 0x00, 0x00, 0xe2, 0xff, 0x13, 0x13, 0xd9, 0xff, 0x9d, 0x9d, 0x95, 0xff, 0x98, 0x98, 0x98, 0xff, 0xac, 0xac, 0xac, 0xff, 0xff, 0xff, 0xff, 0x44, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x6c, 0x6c, 0x6c, 0xa4, 0xa8, 0xa8, 0xa8, 0xff, 0xad, 0xad, 0xae, 0xff, 0xb2, 0xb2, 0xae, 0xff, 0x22, 0x22, 0xcc, 0xff, 0x07, 0x07, 0xd1, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd2, 0xff, 0x00, 0x00, 0xd3, 0xff, 0x06, 0x06, 0xd0, 0xff, 0x1e, 0x1e, 0xc8, 0xff, 0x9c, 0x9c, 0x96, 0xff, 0x96, 0x96, 0x96, 0xff, 0x9e, 0x9e, 0x9e, 0xff, 0xf3, 0xf3, 0xf3, 0xa4, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x77, 0x77, 0x77, 0x9f, 0x9b, 0x9b, 0x9b, 0xff, 0xa9, 0xa9, 0xa7, 0xff, 0xae, 0xae, 0xa7, 0xff, 0x65, 0x65, 0xb3, 0xff, 0x29, 0x29, 0xbc, 0xff, 0x03, 0x03, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc1, 0xff, 0x00, 0x00, 0xc1, 0xff, 0x00, 0x00, 0xc1, 0xff, 0x00, 0x00, 0xc1, 0xff, 0x00, 0x00, 0xc1, 0xff, 0x00, 0x00, 0xc1, 0xff, 0x00, 0x00, 0xc1, 0xff, 0x00, 0x00, 0xc1, 0xff, 0x00, 0x00, 0xc1, 0xff, 0x00, 0x00, 0xc1, 0xff, 0x00, 0x00, 0xc1, 0xff, 0x00, 0x00, 0xc1, 0xff, 0x00, 0x00, 0xc1, 0xff, 0x00, 0x00, 0xc1, 0xff, 0x00, 0x00, 0xc1, 0xff, 0x00, 0x00, 0xc1, 0xff, 0x00, 0x00, 0xc1, 0xff, 0x00, 0x00, 0xc1, 0xff, 0x00, 0x00, 0xc1, 0xff, 0x00, 0x00, 0xc1, 0xff, 0x00, 0x00, 0xc1, 0xff, 0x00, 0x00, 0xc1, 0xff, 0x00, 0x00, 0xc1, 0xff, 0x00, 0x00, 0xc2, 0xff, 0x00, 0x00, 0xc2, 0xff, 0x00, 0x00, 0xc2, 0xff, 0x00, 0x00, 0xc1, 0xff, 0x00, 0x00, 0xc1, 0xff, 0x00, 0x00, 0xc1, 0xff, 0x00, 0x00, 0xc1, 0xff, 0x00, 0x00, 0xc1, 0xff, 0x00, 0x00, 0xc1, 0xff, 0x00, 0x00, 0xc1, 0xff, 0x00, 0x00, 0xc1, 0xff, 0x00, 0x00, 0xc1, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x00, 0x00, 0xc1, 0xff, 0x00, 0x00, 0xc1, 0xff, 0x00, 0x00, 0xc0, 0xff, 0x02, 0x02, 0xc0, 0xff, 0x26, 0x26, 0xb9, 0xff, 0x5c, 0x5c, 0xaa, 0xff, 0x9c, 0x9c, 0x95, 0xff, 0x97, 0x97, 0x95, 0xff, 0xac, 0xac, 0xac, 0xff, 0xe5, 0xe5, 0xe5, 0x9f, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7b, 0x7b, 0x7b, 0x68, 0x8a, 0x8a, 0x8a, 0xf3, 0x9f, 0x9f, 0x9e, 0xff, 0xab, 0xab, 0xa1, 0xff, 0x96, 0x96, 0xa4, 0xff, 0x68, 0x68, 0xa9, 0xff, 0x5a, 0x5a, 0xaa, 0xff, 0x46, 0x46, 0xac, 0xff, 0x2d, 0x2d, 0xad, 0xff, 0x21, 0x21, 0xae, 0xff, 0x1f, 0x1f, 0xae, 0xff, 0x20, 0x20, 0xae, 0xff, 0x20, 0x20, 0xae, 0xff, 0x20, 0x20, 0xae, 0xff, 0x20, 0x20, 0xae, 0xff, 0x21, 0x21, 0xaf, 0xff, 0x21, 0x21, 0xaf, 0xff, 0x21, 0x21, 0xaf, 0xff, 0x20, 0x20, 0xaf, 0xff, 0x20, 0x20, 0xaf, 0xff, 0x20, 0x20, 0xaf, 0xff, 0x20, 0x20, 0xaf, 0xff, 0x20, 0x20, 0xaf, 0xff, 0x20, 0x20, 0xaf, 0xff, 0x20, 0x20, 0xaf, 0xff, 0x20, 0x20, 0xaf, 0xff, 0x21, 0x21, 0xaf, 0xff, 0x21, 0x21, 0xaf, 0xff, 0x21, 0x21, 0xaf, 0xff, 0x20, 0x20, 0xae, 0xff, 0x20, 0x20, 0xae, 0xff, 0x20, 0x20, 0xae, 0xff, 0x20, 0x20, 0xae, 0xff, 0x1f, 0x1f, 0xae, 0xff, 0x1f, 0x1f, 0xae, 0xff, 0x20, 0x20, 0xae, 0xff, 0x1f, 0x1f, 0xad, 0xff, 0x1f, 0x1f, 0xad, 0xff, 0x1f, 0x1f, 0xad, 0xff, 0x1e, 0x1e, 0xad, 0xff, 0x1e, 0x1e, 0xad, 0xff, 0x1e, 0x1e, 0xac, 0xff, 0x1d, 0x1d, 0xac, 0xff, 0x1e, 0x1e, 0xac, 0xff, 0x1e, 0x1e, 0xac, 0xff, 0x1e, 0x1e, 0xac, 0xff, 0x1d, 0x1d, 0xab, 0xff, 0x1d, 0x1d, 0xab, 0xff, 0x1d, 0x1d, 0xab, 0xff, 0x1c, 0x1c, 0xaa, 0xff, 0x1c, 0x1c, 0xaa, 0xff, 0x1c, 0x1c, 0xaa, 0xff, 0x1c, 0x1c, 0xaa, 0xff, 0x1b, 0x1b, 0xa9, 0xff, 0x1b, 0x1b, 0xaa, 0xff, 0x1a, 0x1a, 0xa9, 0xff, 0x1a, 0x1a, 0xa9, 0xff, 0x1a, 0x1a, 0xa8, 0xff, 0x19, 0x19, 0xa7, 0xff, 0x19, 0x19, 0xa8, 0xff, 0x18, 0x18, 0xa6, 0xff, 0x18, 0x18, 0xa7, 0xff, 0x18, 0x18, 0xa6, 0xff, 0x17, 0x17, 0xa6, 0xff, 0x18, 0x18, 0xa6, 0xff, 0x16, 0x16, 0xa5, 0xff, 0x17, 0x17, 0xa5, 0xff, 0x15, 0x15, 0xa4, 0xff, 0x16, 0x16, 0xa4, 0xff, 0x15, 0x15, 0xa3, 0xff, 0x15, 0x15, 0xa3, 0xff, 0x14, 0x14, 0xa3, 0xff, 0x13, 0x13, 0xa2, 0xff, 0x13, 0x13, 0xa2, 0xff, 0x14, 0x14, 0xa2, 0xff, 0x15, 0x15, 0xa3, 0xff, 0x16, 0x16, 0xa4, 0xff, 0x17, 0x17, 0xa5, 0xff, 0x18, 0x18, 0xa6, 0xff, 0x18, 0x18, 0xa7, 0xff, 0x19, 0x19, 0xa8, 0xff, 0x1a, 0x1a, 0xa9, 0xff, 0x1b, 0x1b, 0xaa, 0xff, 0x1d, 0x1d, 0xab, 0xff, 0x1d, 0x1d, 0xac, 0xff, 0x1d, 0x1d, 0xac, 0xff, 0x1d, 0x1d, 0xac, 0xff, 0x1d, 0x1d, 0xac, 0xff, 0x1d, 0x1d, 0xac, 0xff, 0x1d, 0x1d, 0xac, 0xff, 0x1d, 0x1d, 0xac, 0xff, 0x1d, 0x1d, 0xac, 0xff, 0x1d, 0x1d, 0xac, 0xff, 0x1d, 0x1d, 0xac, 0xff, 0x1d, 0x1d, 0xac, 0xff, 0x1d, 0x1d, 0xac, 0xff, 0x1d, 0x1d, 0xac, 0xff, 0x1d, 0x1d, 0xac, 0xff, 0x1d, 0x1d, 0xac, 0xff, 0x1d, 0x1d, 0xac, 0xff, 0x1d, 0x1d, 0xac, 0xff, 0x1d, 0x1d, 0xac, 0xff, 0x1f, 0x1f, 0xac, 0xff, 0x2a, 0x2a, 0xaa, 0xff, 0x42, 0x42, 0xa8, 0xff, 0x55, 0x55, 0xa5, 0xff, 0x62, 0x62, 0xa3, 0xff, 0x8a, 0x8a, 0x98, 0xff, 0x9b, 0x9b, 0x92, 0xff, 0x9c, 0x9c, 0x9c, 0xff, 0xc9, 0xc9, 0xc9, 0xf3, 0xe0, 0xe0, 0xe0, 0x68, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x71, 0x71, 0x71, 0x2c, 0x82, 0x82, 0x82, 0x8b, 0x8c, 0x8c, 0x8c, 0xf4, 0x96, 0x96, 0x95, 0xff, 0xa1, 0xa1, 0x9d, 0xff, 0xa0, 0xa0, 0x9e, 0xff, 0x9b, 0x9b, 0x9e, 0xff, 0x94, 0x94, 0x9f, 0xff, 0x91, 0x91, 0x9f, 0xff, 0x91, 0x91, 0xa0, 0xff, 0x92, 0x92, 0xa1, 0xff, 0x92, 0x92, 0xa1, 0xff, 0x92, 0x92, 0xa2, 0xff, 0x92, 0x92, 0xa2, 0xff, 0x93, 0x93, 0xa3, 0xff, 0x93, 0x93, 0xa3, 0xff, 0x93, 0x93, 0xa3, 0xff, 0x94, 0x94, 0xa3, 0xff, 0x94, 0x94, 0xa3, 0xff, 0x94, 0x94, 0xa3, 0xff, 0x94, 0x94, 0xa3, 0xff, 0x94, 0x94, 0xa3, 0xff, 0x94, 0x94, 0xa3, 0xff, 0x94, 0x94, 0xa3, 0xff, 0x94, 0x94, 0xa3, 0xff, 0x93, 0x93, 0xa2, 0xff, 0x93, 0x93, 0xa1, 0xff, 0x92, 0x92, 0xa1, 0xff, 0x91, 0x91, 0xa1, 0xff, 0x91, 0x91, 0xa0, 0xff, 0x90, 0x90, 0xa0, 0xff, 0x90, 0x90, 0x9f, 0xff, 0x8e, 0x8e, 0x9e, 0xff, 0x8e, 0x8e, 0x9e, 0xff, 0x8e, 0x8e, 0x9d, 0xff, 0x8c, 0x8c, 0x9c, 0xff, 0x8c, 0x8c, 0x9b, 0xff, 0x8c, 0x8c, 0x9b, 0xff, 0x8b, 0x8b, 0x9a, 0xff, 0x89, 0x89, 0x98, 0xff, 0x89, 0x89, 0x97, 0xff, 0x88, 0x88, 0x97, 0xff, 0x86, 0x86, 0x96, 0xff, 0x85, 0x85, 0x95, 0xff, 0x84, 0x84, 0x94, 0xff, 0x82, 0x82, 0x92, 0xff, 0x81, 0x81, 0x91, 0xff, 0x81, 0x81, 0x8f, 0xff, 0x7f, 0x7f, 0x8e, 0xff, 0x7e, 0x7e, 0x8d, 0xff, 0x7d, 0x7d, 0x8c, 0xff, 0x7b, 0x7b, 0x8a, 0xff, 0x79, 0x79, 0x89, 0xff, 0x78, 0x78, 0x87, 0xff, 0x77, 0x77, 0x85, 0xff, 0x75, 0x75, 0x84, 0xff, 0x73, 0x73, 0x82, 0xff, 0x71, 0x71, 0x81, 0xff, 0x6f, 0x6f, 0x7f, 0xff, 0x6d, 0x6d, 0x7c, 0xff, 0x6c, 0x6c, 0x7b, 0xff, 0x6a, 0x6a, 0x79, 0xff, 0x67, 0x67, 0x77, 0xff, 0x66, 0x66, 0x75, 0xff, 0x63, 0x63, 0x73, 0xff, 0x63, 0x63, 0x71, 0xff, 0x60, 0x60, 0x6f, 0xff, 0x5e, 0x5e, 0x6d, 0xff, 0x5b, 0x5b, 0x6b, 0xff, 0x5a, 0x5a, 0x6a, 0xff, 0x59, 0x59, 0x69, 0xff, 0x5c, 0x5c, 0x6b, 0xff, 0x60, 0x60, 0x6f, 0xff, 0x64, 0x64, 0x74, 0xff, 0x68, 0x68, 0x78, 0xff, 0x6d, 0x6d, 0x7c, 0xff, 0x71, 0x71, 0x80, 0xff, 0x75, 0x75, 0x85, 0xff, 0x7a, 0x7a, 0x89, 0xff, 0x7e, 0x7e, 0x8d, 0xff, 0x83, 0x83, 0x93, 0xff, 0x86, 0x86, 0x96, 0xff, 0x87, 0x87, 0x97, 0xff, 0x87, 0x87, 0x96, 0xff, 0x87, 0x87, 0x96, 0xff, 0x87, 0x87, 0x96, 0xff, 0x87, 0x87, 0x96, 0xff, 0x87, 0x87, 0x96, 0xff, 0x87, 0x87, 0x96, 0xff, 0x87, 0x87, 0x96, 0xff, 0x87, 0x87, 0x96, 0xff, 0x87, 0x87, 0x96, 0xff, 0x87, 0x87, 0x96, 0xff, 0x87, 0x87, 0x96, 0xff, 0x87, 0x87, 0x96, 0xff, 0x87, 0x87, 0x96, 0xff, 0x87, 0x87, 0x96, 0xff, 0x87, 0x87, 0x96, 0xff, 0x87, 0x87, 0x96, 0xff, 0x87, 0x87, 0x96, 0xff, 0x87, 0x87, 0x96, 0xff, 0x87, 0x87, 0x96, 0xff, 0x8a, 0x8a, 0x96, 0xff, 0x90, 0x90, 0x94, 0xff, 0x92, 0x92, 0x90, 0xff, 0x93, 0x93, 0x8f, 0xff, 0xac, 0xac, 0xaa, 0xff, 0xc4, 0xc4, 0xc4, 0xf3, 0xdb, 0xdb, 0xdb, 0x88, 0xfc, 0xfc, 0xfc, 0x2c, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x6c, 0x6c, 0x6c, 0x04, 0x85, 0x85, 0x85, 0x0c, 0x7d, 0x7d, 0x7d, 0x47, 0x81, 0x81, 0x81, 0xb8, 0x8b, 0x8b, 0x8b, 0xeb, 0x90, 0x90, 0x90, 0xf8, 0x94, 0x94, 0x94, 0xff, 0x95, 0x95, 0x94, 0xff, 0x96, 0x96, 0x95, 0xff, 0x98, 0x98, 0x97, 0xff, 0x98, 0x98, 0x97, 0xff, 0x9a, 0x9a, 0x99, 0xff, 0x9b, 0x9b, 0x9a, 0xff, 0x9c, 0x9c, 0x9b, 0xff, 0x9d, 0x9d, 0x9c, 0xff, 0x9f, 0x9f, 0x9e, 0xff, 0x9f, 0x9f, 0x9e, 0xff, 0xa1, 0xa1, 0xa0, 0xff, 0xa2, 0xa2, 0xa1, 0xff, 0xa2, 0xa2, 0xa1, 0xff, 0xa4, 0xa4, 0xa3, 0xff, 0xa4, 0xa4, 0xa3, 0xff, 0xa5, 0xa5, 0xa4, 0xff, 0xa5, 0xa5, 0xa4, 0xff, 0xa5, 0xa5, 0xa5, 0xff, 0xa6, 0xa6, 0xa6, 0xff, 0xa7, 0xa7, 0xa7, 0xff, 0xa7, 0xa7, 0xa7, 0xff, 0xa8, 0xa8, 0xa7, 0xff, 0xa8, 0xa8, 0xa7, 0xff, 0xa9, 0xa9, 0xa8, 0xff, 0xa9, 0xa9, 0xa8, 0xff, 0xaa, 0xaa, 0xa9, 0xff, 0xa9, 0xa9, 0xa8, 0xff, 0xaa, 0xaa, 0xa9, 0xff, 0xa9, 0xa9, 0xa8, 0xff, 0xa9, 0xa9, 0xa8, 0xff, 0xa8, 0xa8, 0xa7, 0xff, 0xa8, 0xa8, 0xa7, 0xff, 0xa7, 0xa7, 0xa6, 0xff, 0xa7, 0xa7, 0xa6, 0xff, 0xa5, 0xa5, 0xa4, 0xff, 0xa5, 0xa5, 0xa4, 0xff, 0xa4, 0xa4, 0xa3, 0xff, 0xa3, 0xa3, 0xa2, 0xff, 0xa2, 0xa2, 0xa2, 0xff, 0xa1, 0xa1, 0xa1, 0xff, 0xa0, 0xa0, 0xa0, 0xff, 0x9f, 0x9f, 0x9f, 0xff, 0x9e, 0x9e, 0x9e, 0xff, 0x9d, 0x9d, 0x9d, 0xff, 0x9d, 0x9d, 0x9d, 0xff, 0x9b, 0x9b, 0x9b, 0xff, 0x9a, 0x9a, 0x9a, 0xff, 0x99, 0x99, 0x98, 0xff, 0x98, 0x98, 0x97, 0xff, 0x97, 0x97, 0x96, 0xff, 0x96, 0x96, 0x95, 0xff, 0x95, 0x95, 0x94, 0xff, 0x93, 0x93, 0x92, 0xff, 0x92, 0x92, 0x91, 0xff, 0x91, 0x91, 0x90, 0xff, 0x8f, 0x8f, 0x8e, 0xff, 0x8e, 0x8e, 0x8d, 0xff, 0x8d, 0x8d, 0x8c, 0xff, 0x8b, 0x8b, 0x8a, 0xff, 0x8a, 0x8a, 0x89, 0xff, 0x8a, 0x8a, 0x8a, 0xff, 0x8e, 0x8e, 0x8d, 0xff, 0x91, 0x91, 0x90, 0xff, 0x94, 0x94, 0x93, 0xff, 0x97, 0x97, 0x96, 0xff, 0x9a, 0x9a, 0x9a, 0xff, 0x9e, 0x9e, 0x9e, 0xff, 0xa1, 0xa1, 0xa1, 0xff, 0xa5, 0xa5, 0xa5, 0xff, 0xa8, 0xa8, 0xa8, 0xff, 0xac, 0xac, 0xab, 0xff, 0xaf, 0xaf, 0xae, 0xff, 0xb0, 0xb0, 0xaf, 0xff, 0xb0, 0xb0, 0xaf, 0xff, 0xb0, 0xb0, 0xb0, 0xff, 0xb0, 0xb0, 0xaf, 0xff, 0xb0, 0xb0, 0xaf, 0xff, 0xb1, 0xb1, 0xb0, 0xff, 0xb1, 0xb1, 0xb0, 0xff, 0xb1, 0xb1, 0xb0, 0xff, 0xb2, 0xb2, 0xb1, 0xff, 0xb2, 0xb2, 0xb1, 0xff, 0xb2, 0xb2, 0xb1, 0xff, 0xb2, 0xb2, 0xb1, 0xff, 0xb2, 0xb2, 0xb1, 0xff, 0xb2, 0xb2, 0xb1, 0xff, 0xb2, 0xb2, 0xb1, 0xff, 0xb2, 0xb2, 0xb1, 0xff, 0xb2, 0xb2, 0xb1, 0xff, 0xb2, 0xb2, 0xb1, 0xff, 0xb2, 0xb2, 0xb1, 0xff, 0xb2, 0xb2, 0xb1, 0xff, 0xb3, 0xb3, 0xb2, 0xff, 0xb3, 0xb3, 0xb2, 0xff, 0xb4, 0xb4, 0xb3, 0xff, 0xbc, 0xbc, 0xbc, 0xf8, 0xd0, 0xd0, 0xd0, 0xeb, 0xf1, 0xf1, 0xf1, 0xb8, 0xf0, 0xf0, 0xf0, 0x47, 0xd5, 0xd5, 0xd5, 0x0c, 0xff, 0xff, 0xff, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
#endif
};

lv_img_dsc_t imgbtn_img_3 = {
    .header.always_zero = 0,
    .header.w = 120,
    .header.h = 40,
    .data_size = 4800 * LV_IMG_PX_SIZE_ALPHA_BYTE,
    .header.cf = LV_IMG_CF_TRUE_COLOR_ALPHA,
    .data = imgbtn_img_3_map,
};

#endif  /*LV_USE_TESTS && LV_USE_IMGBTN*/
